/*-------------------------------------------------------------------------
 |                                                                         
 |             SAS SUPPLEMENTAL SYNTAX FILE FOR ICPSR 04146
 |        NATIONAL DRUG ABUSE TREATMENT SYSTEM SURVEY, WAVES II-IV
 |                     (DATASET 0001: WAVE II, 1988)
 |
 | This SAS program is provided for optional use with the SAS transport
 | version of this data file as distributed by ICPSR. The metadata
 | provided below are not stored in the SAS transport version of this data
 | collection.  Users need to use SAS PROC CIMPORT to import the SAS
 | transport file to a SAS data set on their system. This program can
 | then be used in conjunction with the SAS system data file.
 |
 | DATA:  begins a SAS data step and names an output SAS data set. Users
 | should replace "SAS-dataset" with their name for the SAS data set copied
 | from the SAS transport file. Users can add a SAS libname statement
 | and an output SAS data set name to make a permanent SAS data set.
 |
 | MISSING VALUE RECODES:  sets user-defined numeric missing values to
 | missing as interpreted by the SAS system. Only variables with
 | user-defined missing values are included in this section.
 |
 | If any variables have more than one missing value, they are assigned
 | to the standard missing value of a single period (.) in the statement
 | below. To maintain the original meaning of missing codes, users may want
 | to take advantage of the SAS missing values (the letters A-Z or an
 | underscore preceded by a period).
 |
 | An example of a standard missing value recode:
 |
 |   IF (RELATION = 98 OR RELATION = 99) THEN RELATION = .;
 |
 | The same example using special missing value recodes:
 |
 |    IF RELATION = 98 THEN RELATION = .A;
 |    IF RELATION = 99 THEN RELATION = .B;
 |
 | NOTE:  Users should modify this file to suit their specific needs.
 | The MISSING VALUE RECODES section has been commented out (i.e., '/*').
 | To make this section active in the program, users should remove the SAS
 | comment indicators from this section.
 |
 |------------------------------------------------------------------------*/

RUN;

* SAS DATA STEP;
DATA;
SET SAS-dataset ;


* USER-DEFINED MISSING VALUES RECODE TO SAS SYSMIS;

/*
   IF (V4004 >= -5 AND V4004 <= -1) THEN V4004 = .;
   IF (V4005 >= -5 AND V4005 <= -1) THEN V4005 = .;
   IF (V4006 >= -5 AND V4006 <= -1) THEN V4006 = .;
   IF (V4007 >= -5 AND V4007 <= -1) THEN V4007 = .;
   IF (V4008 >= -5 AND V4008 <= -1) THEN V4008 = .;
   IF (V4009 >= -5 AND V4009 <= -1) THEN V4009 = .;
   IF (V4010 >= -5 AND V4010 <= -1) THEN V4010 = .;
   IF (V4011 >= -5 AND V4011 <= -1) THEN V4011 = .;
   IF (V4012 >= -5 AND V4012 <= -1) THEN V4012 = .;
   IF (V4013 >= -5 AND V4013 <= -1) THEN V4013 = .;
   IF (V4014 >= -5 AND V4014 <= -1) THEN V4014 = .;
   IF (V4015 >= -5 AND V4015 <= -1) THEN V4015 = .;
   IF (V4016 >= -5 AND V4016 <= -1) THEN V4016 = .;
   IF (V4017 >= -5 AND V4017 <= -1) THEN V4017 = .;
   IF (V4018 >= -5 AND V4018 <= -1) THEN V4018 = .;
   IF (V4019 >= -5 AND V4019 <= -1) THEN V4019 = .;
   IF (V4020 >= -5 AND V4020 <= -1) THEN V4020 = .;
   IF (V4021 >= -5 AND V4021 <= -1) THEN V4021 = .;
   IF (V4022 >= -5 AND V4022 <= -1) THEN V4022 = .;
   IF (V4023 >= -5 AND V4023 <= -1) THEN V4023 = .;
   IF (V4024 >= -5 AND V4024 <= -1) THEN V4024 = .;
   IF (V4025 >= -5 AND V4025 <= -1) THEN V4025 = .;
   IF (V4026 >= -5 AND V4026 <= -1) THEN V4026 = .;
   IF (V4027 >= -5 AND V4027 <= -1) THEN V4027 = .;
   IF (V4028 >= -5 AND V4028 <= -1) THEN V4028 = .;
   IF (V4029 >= -5 AND V4029 <= -1) THEN V4029 = .;
   IF (V4030 >= -5 AND V4030 <= -1) THEN V4030 = .;
   IF (V4031 >= -5 AND V4031 <= -1) THEN V4031 = .;
   IF (V4032 >= -5 AND V4032 <= -1) THEN V4032 = .;
   IF (V4033 >= -5 AND V4033 <= -1) THEN V4033 = .;
   IF (V4034 >= -5 AND V4034 <= -1) THEN V4034 = .;
   IF (V4035 >= -5 AND V4035 <= -1) THEN V4035 = .;
   IF (V4036 >= -5 AND V4036 <= -1) THEN V4036 = .;
   IF (V4037 >= -5 AND V4037 <= -1) THEN V4037 = .;
   IF (V4038 >= -5 AND V4038 <= -1) THEN V4038 = .;
   IF (V4039 >= -5 AND V4039 <= -1) THEN V4039 = .;
   IF (V4040 >= -5 AND V4040 <= -1) THEN V4040 = .;
   IF (V4041 >= -5 AND V4041 <= -1) THEN V4041 = .;
   IF (V4042 >= -5 AND V4042 <= -1) THEN V4042 = .;
   IF (V4043 >= -5 AND V4043 <= -1) THEN V4043 = .;
   IF (V4044 >= -5 AND V4044 <= -1) THEN V4044 = .;
   IF (V4045 >= -5 AND V4045 <= -1) THEN V4045 = .;
   IF (V4046 >= -5 AND V4046 <= -1) THEN V4046 = .;
   IF (V4047 >= -5 AND V4047 <= -1) THEN V4047 = .;
   IF (V4048 >= -5 AND V4048 <= -1) THEN V4048 = .;
   IF (V4049 >= -5 AND V4049 <= -1) THEN V4049 = .;
   IF (V4050 >= -5 AND V4050 <= -1) THEN V4050 = .;
   IF (V4051 >= -5 AND V4051 <= -1) THEN V4051 = .;
   IF (V4052 >= -5 AND V4052 <= -1) THEN V4052 = .;
   IF (V4053 >= -5 AND V4053 <= -1) THEN V4053 = .;
   IF (V4054 >= -5 AND V4054 <= -1) THEN V4054 = .;
   IF (V4055 >= -5 AND V4055 <= -1) THEN V4055 = .;
   IF (V4056 >= -5 AND V4056 <= -1) THEN V4056 = .;
   IF (V4057 >= -5 AND V4057 <= -1) THEN V4057 = .;
   IF (V4058 >= -5 AND V4058 <= -1) THEN V4058 = .;
   IF (V4059 >= -5 AND V4059 <= -1) THEN V4059 = .;
   IF (V4060 >= -5 AND V4060 <= -1) THEN V4060 = .;
   IF (V4061 >= -5 AND V4061 <= -1) THEN V4061 = .;
   IF (V4062 >= -5 AND V4062 <= -1) THEN V4062 = .;
   IF (V4063 >= -5 AND V4063 <= -1) THEN V4063 = .;
   IF (V4064 >= -5 AND V4064 <= -1) THEN V4064 = .;
   IF (V4065 >= -5 AND V4065 <= -1) THEN V4065 = .;
   IF (V4066 >= -5 AND V4066 <= -1) THEN V4066 = .;
   IF (V4067 >= -5 AND V4067 <= -1) THEN V4067 = .;
   IF (V4068 >= -5 AND V4068 <= -1) THEN V4068 = .;
   IF (V4069 >= -5 AND V4069 <= -1) THEN V4069 = .;
   IF (V4070 >= -5 AND V4070 <= -1) THEN V4070 = .;
   IF (V4071 >= -5 AND V4071 <= -1) THEN V4071 = .;
   IF (V4072 >= -5 AND V4072 <= -1) THEN V4072 = .;
   IF (V4073 >= -5 AND V4073 <= -1) THEN V4073 = .;
   IF (V4074 >= -5 AND V4074 <= -1) THEN V4074 = .;
   IF (V4075 >= -5 AND V4075 <= -1) THEN V4075 = .;
   IF (V4076 >= -5 AND V4076 <= -1) THEN V4076 = .;
   IF (V4077 >= -5 AND V4077 <= -1) THEN V4077 = .;
   IF (V4078 >= -5 AND V4078 <= -1) THEN V4078 = .;
   IF (V4079 >= -5 AND V4079 <= -1) THEN V4079 = .;
   IF (V4080 >= -5 AND V4080 <= -1) THEN V4080 = .;
   IF (V4081 >= -5 AND V4081 <= -1) THEN V4081 = .;
   IF (V4082 >= -5 AND V4082 <= -1) THEN V4082 = .;
   IF (V4083 >= -5 AND V4083 <= -1) THEN V4083 = .;
   IF (V4084 >= -5 AND V4084 <= -1) THEN V4084 = .;
   IF (V4085 >= -5 AND V4085 <= -1) THEN V4085 = .;
   IF (V4086 >= -5 AND V4086 <= -1) THEN V4086 = .;
   IF (V4087 >= -5 AND V4087 <= -1) THEN V4087 = .;
   IF (V4088 >= -5 AND V4088 <= -1) THEN V4088 = .;
   IF (V4089 >= -5 AND V4089 <= -1) THEN V4089 = .;
   IF (V4090 >= -5 AND V4090 <= -1) THEN V4090 = .;
   IF (V4091 >= -5 AND V4091 <= -1) THEN V4091 = .;
   IF (V4092 >= -5 AND V4092 <= -1) THEN V4092 = .;
   IF (V4093 >= -5 AND V4093 <= -1) THEN V4093 = .;
   IF (V4094 >= -5 AND V4094 <= -1) THEN V4094 = .;
   IF (V4095 >= -5 AND V4095 <= -1) THEN V4095 = .;
   IF (V4096 >= -5 AND V4096 <= -1) THEN V4096 = .;
   IF (V4097 >= -5 AND V4097 <= -1) THEN V4097 = .;
   IF (V4098 >= -5 AND V4098 <= -1) THEN V4098 = .;
   IF (V4099 >= -5 AND V4099 <= -1) THEN V4099 = .;
   IF (V4100 >= -5 AND V4100 <= -1) THEN V4100 = .;
   IF (V4101 >= -5 AND V4101 <= -1) THEN V4101 = .;
   IF (V4102 >= -5 AND V4102 <= -1) THEN V4102 = .;
   IF (V4103 >= -5 AND V4103 <= -1) THEN V4103 = .;
   IF (V4104 >= -5 AND V4104 <= -1) THEN V4104 = .;
   IF (V4105 >= -5 AND V4105 <= -1) THEN V4105 = .;
   IF (V4106 >= -5 AND V4106 <= -1) THEN V4106 = .;
   IF (V4107 >= -5 AND V4107 <= -1) THEN V4107 = .;
   IF (V4108 >= -5 AND V4108 <= -1) THEN V4108 = .;
   IF (V4109 >= -5 AND V4109 <= -1) THEN V4109 = .;
   IF (V4110 >= -5 AND V4110 <= -1) THEN V4110 = .;
   IF (V4111 >= -5 AND V4111 <= -1) THEN V4111 = .;
   IF (V4112 >= -5 AND V4112 <= -1) THEN V4112 = .;
   IF (V4113 >= -5 AND V4113 <= -1) THEN V4113 = .;
   IF (V4114 >= -5 AND V4114 <= -1) THEN V4114 = .;
   IF (V4115 >= -5 AND V4115 <= -1) THEN V4115 = .;
   IF (V4116 >= -5 AND V4116 <= -1) THEN V4116 = .;
   IF (V4117 >= -5 AND V4117 <= -1) THEN V4117 = .;
   IF (V4118 >= -5 AND V4118 <= -1) THEN V4118 = .;
   IF (V4119 >= -5 AND V4119 <= -1) THEN V4119 = .;
   IF (V4120 >= -5 AND V4120 <= -1) THEN V4120 = .;
   IF (V4121 >= -5 AND V4121 <= -1) THEN V4121 = .;
   IF (V4122 >= -5 AND V4122 <= -1) THEN V4122 = .;
   IF (V4123 >= -5 AND V4123 <= -1) THEN V4123 = .;
   IF (V4124 >= -5 AND V4124 <= -1) THEN V4124 = .;
   IF (V4125 >= -5 AND V4125 <= -1) THEN V4125 = .;
   IF (V4126 >= -5 AND V4126 <= -1) THEN V4126 = .;
   IF (V4127 >= -5 AND V4127 <= -1) THEN V4127 = .;
   IF (V4128 >= -5 AND V4128 <= -1) THEN V4128 = .;
   IF (V4129 >= -5 AND V4129 <= -1) THEN V4129 = .;
   IF (V4130 >= -5 AND V4130 <= -1) THEN V4130 = .;
   IF (V4131 >= -5 AND V4131 <= -1) THEN V4131 = .;
   IF (V4132 >= -5 AND V4132 <= -1) THEN V4132 = .;
   IF (V4133 >= -5 AND V4133 <= -1) THEN V4133 = .;
   IF (V4134 >= -5 AND V4134 <= -1) THEN V4134 = .;
   IF (V4135 >= -5 AND V4135 <= -1) THEN V4135 = .;
   IF (V4136 >= -5 AND V4136 <= -1) THEN V4136 = .;
   IF (V4137 >= -5 AND V4137 <= -1) THEN V4137 = .;
   IF (V4138 >= -5 AND V4138 <= -1) THEN V4138 = .;
   IF (V4139 >= -5 AND V4139 <= -1) THEN V4139 = .;
   IF (V4140 >= -5 AND V4140 <= -1) THEN V4140 = .;
   IF (V4141 >= -5 AND V4141 <= -1) THEN V4141 = .;
   IF (V4142 >= -5 AND V4142 <= -1) THEN V4142 = .;
   IF (V4143 >= -5 AND V4143 <= -1) THEN V4143 = .;
   IF (V4144 >= -5 AND V4144 <= -1) THEN V4144 = .;
   IF (V4145 >= -5 AND V4145 <= -1) THEN V4145 = .;
   IF (V4146 >= -5 AND V4146 <= -1) THEN V4146 = .;
   IF (V4147 >= -5 AND V4147 <= -1) THEN V4147 = .;
   IF (V4148 >= -5 AND V4148 <= -1) THEN V4148 = .;
   IF (V4149 >= -5 AND V4149 <= -1) THEN V4149 = .;
   IF (V4150 >= -5 AND V4150 <= -1) THEN V4150 = .;
   IF (V4151 >= -5 AND V4151 <= -1) THEN V4151 = .;
   IF (V4152 >= -5 AND V4152 <= -1) THEN V4152 = .;
   IF (V4153 >= -5 AND V4153 <= -1) THEN V4153 = .;
   IF (V4154 >= -5 AND V4154 <= -1) THEN V4154 = .;
   IF (V4155 >= -5 AND V4155 <= -1) THEN V4155 = .;
   IF (V4156 >= -5 AND V4156 <= -1) THEN V4156 = .;
   IF (V4157 >= -5 AND V4157 <= -1) THEN V4157 = .;
   IF (V4158 >= -5 AND V4158 <= -1) THEN V4158 = .;
   IF (V4159 >= -5 AND V4159 <= -1) THEN V4159 = .;
   IF (V4160 >= -5 AND V4160 <= -1) THEN V4160 = .;
   IF (V4161 >= -5 AND V4161 <= -1) THEN V4161 = .;
   IF (V4162 >= -5 AND V4162 <= -1) THEN V4162 = .;
   IF (V4163 >= -5 AND V4163 <= -1) THEN V4163 = .;
   IF (V4164 >= -5 AND V4164 <= -1) THEN V4164 = .;
   IF (V4165 >= -5 AND V4165 <= -1) THEN V4165 = .;
   IF (V4166 >= -5 AND V4166 <= -1) THEN V4166 = .;
   IF (V4167 >= -5 AND V4167 <= -1) THEN V4167 = .;
   IF (V4168 >= -5 AND V4168 <= -1) THEN V4168 = .;
   IF (V4169 >= -5 AND V4169 <= -1) THEN V4169 = .;
   IF (V4170 >= -5 AND V4170 <= -1) THEN V4170 = .;
   IF (V4171 >= -5 AND V4171 <= -1) THEN V4171 = .;
   IF (V4172 >= -5 AND V4172 <= -1) THEN V4172 = .;
   IF (V4173 >= -5 AND V4173 <= -1) THEN V4173 = .;
   IF (V4174 >= -5 AND V4174 <= -1) THEN V4174 = .;
   IF (V4175 >= -5 AND V4175 <= -1) THEN V4175 = .;
   IF (V4176 >= -5 AND V4176 <= -1) THEN V4176 = .;
   IF (V4177 >= -5 AND V4177 <= -1) THEN V4177 = .;
   IF (V4178 >= -5 AND V4178 <= -1) THEN V4178 = .;
   IF (V4179 >= -5 AND V4179 <= -1) THEN V4179 = .;
   IF (V4180 >= -5 AND V4180 <= -1) THEN V4180 = .;
   IF (V4181 >= -5 AND V4181 <= -1) THEN V4181 = .;
   IF (V4182 >= -5 AND V4182 <= -1) THEN V4182 = .;
   IF (V4183 >= -5 AND V4183 <= -1) THEN V4183 = .;
   IF (V4184 >= -5 AND V4184 <= -1) THEN V4184 = .;
   IF (V4185 >= -5 AND V4185 <= -1) THEN V4185 = .;
   IF (V4186 >= -5 AND V4186 <= -1) THEN V4186 = .;
   IF (V4187 >= -5 AND V4187 <= -1) THEN V4187 = .;
   IF (V4188 >= -5 AND V4188 <= -1) THEN V4188 = .;
   IF (V4189 >= -5 AND V4189 <= -1) THEN V4189 = .;
   IF (V4190 >= -5 AND V4190 <= -1) THEN V4190 = .;
   IF (V4191 >= -5 AND V4191 <= -1) THEN V4191 = .;
   IF (V4192 >= -5.00 AND V4192 <= -1.00) THEN V4192 = .;
   IF (V4193 >= -5 AND V4193 <= -1) THEN V4193 = .;
   IF (V4194 >= -5 AND V4194 <= -1) THEN V4194 = .;
   IF (V4195 >= -5 AND V4195 <= -1) THEN V4195 = .;
   IF (V4196 >= -5 AND V4196 <= -1) THEN V4196 = .;
   IF (V4197 >= -5 AND V4197 <= -1) THEN V4197 = .;
   IF (V4198 >= -5.00 AND V4198 <= -1.00) THEN V4198 = .;
   IF (V4199 >= -5 AND V4199 <= -1) THEN V4199 = .;
   IF (V4200 >= -5.00 AND V4200 <= -1.00) THEN V4200 = .;
   IF (V4201 >= -5 AND V4201 <= -1) THEN V4201 = .;
   IF (V4202 >= -5 AND V4202 <= -1) THEN V4202 = .;
   IF (V4203 >= -5 AND V4203 <= -1) THEN V4203 = .;
   IF (V4204 >= -5 AND V4204 <= -1) THEN V4204 = .;
   IF (V4205 >= -5 AND V4205 <= -1) THEN V4205 = .;
   IF (V4206 >= -5 AND V4206 <= -1) THEN V4206 = .;
   IF (V4207 >= -5 AND V4207 <= -1) THEN V4207 = .;
   IF (V4208 >= -5 AND V4208 <= -1) THEN V4208 = .;
   IF (V4209 >= -5.00 AND V4209 <= -1.00) THEN V4209 = .;
   IF (V4210 >= -5 AND V4210 <= -1) THEN V4210 = .;
   IF (V4211 >= -5 AND V4211 <= -1) THEN V4211 = .;
   IF (V4212 >= -5 AND V4212 <= -1) THEN V4212 = .;
   IF (V4213 >= -5 AND V4213 <= -1) THEN V4213 = .;
   IF (V4214 >= -5 AND V4214 <= -1) THEN V4214 = .;
   IF (V4215 >= -5 AND V4215 <= -1) THEN V4215 = .;
   IF (V4216 >= -5 AND V4216 <= -1) THEN V4216 = .;
   IF (V4217 >= -5 AND V4217 <= -1) THEN V4217 = .;
   IF (V4218 >= -5 AND V4218 <= -1) THEN V4218 = .;
   IF (V4219 >= -5 AND V4219 <= -1) THEN V4219 = .;
   IF (V4220 >= -5 AND V4220 <= -1) THEN V4220 = .;
   IF (V4221 >= -5 AND V4221 <= -1) THEN V4221 = .;
   IF (V4222 >= -5 AND V4222 <= -1) THEN V4222 = .;
   IF (V4223 >= -5 AND V4223 <= -1) THEN V4223 = .;
   IF (V4224 >= -5 AND V4224 <= -1) THEN V4224 = .;
   IF (V4225 >= -5 AND V4225 <= -1) THEN V4225 = .;
   IF (V4226 >= -5 AND V4226 <= -1) THEN V4226 = .;
   IF (V4227 >= -5 AND V4227 <= -1) THEN V4227 = .;
   IF (V4228 >= -5 AND V4228 <= -1) THEN V4228 = .;
   IF (V4229 >= -5 AND V4229 <= -1) THEN V4229 = .;
   IF (V4230 >= -5 AND V4230 <= -1) THEN V4230 = .;
   IF (V4231 >= -5 AND V4231 <= -1) THEN V4231 = .;
   IF (V4232 >= -5 AND V4232 <= -1) THEN V4232 = .;
   IF (V4233 >= -5 AND V4233 <= -1) THEN V4233 = .;
   IF (V4234 >= -5 AND V4234 <= -1) THEN V4234 = .;
   IF (V4235 >= -5 AND V4235 <= -1) THEN V4235 = .;
   IF (V4236 >= -5 AND V4236 <= -1) THEN V4236 = .;
   IF (V4237 >= -5 AND V4237 <= -1) THEN V4237 = .;
   IF (V4238 >= -5 AND V4238 <= -1) THEN V4238 = .;
   IF (V4239 >= -5 AND V4239 <= -1) THEN V4239 = .;
   IF (V4240 >= -5 AND V4240 <= -1) THEN V4240 = .;
   IF (V4241 >= -5 AND V4241 <= -1) THEN V4241 = .;
   IF (V4242 >= -5 AND V4242 <= -1) THEN V4242 = .;
   IF (V4243 >= -5 AND V4243 <= -1) THEN V4243 = .;
   IF (V4244 >= -5 AND V4244 <= -1) THEN V4244 = .;
   IF (V4245 >= -5 AND V4245 <= -1) THEN V4245 = .;
   IF (V4246 >= -5 AND V4246 <= -1) THEN V4246 = .;
   IF (V4247 >= -5 AND V4247 <= -1) THEN V4247 = .;
   IF (V4248 >= -5 AND V4248 <= -1) THEN V4248 = .;
   IF (V4249 >= -5 AND V4249 <= -1) THEN V4249 = .;
   IF (V4250 >= -5 AND V4250 <= -1) THEN V4250 = .;
   IF (V4251 >= -5 AND V4251 <= -1) THEN V4251 = .;
   IF (V4252 >= -5 AND V4252 <= -1) THEN V4252 = .;
   IF (V4253 >= -5 AND V4253 <= -1) THEN V4253 = .;
   IF (V4254 >= -5 AND V4254 <= -1) THEN V4254 = .;
   IF (V4255 >= -5 AND V4255 <= -1) THEN V4255 = .;
   IF (V4256 >= -5 AND V4256 <= -1) THEN V4256 = .;
   IF (V4257 >= -5 AND V4257 <= -1) THEN V4257 = .;
   IF (V4258 >= -5 AND V4258 <= -1) THEN V4258 = .;
   IF (V4259 >= -5 AND V4259 <= -1) THEN V4259 = .;
   IF (V4260 >= -5 AND V4260 <= -1) THEN V4260 = .;
   IF (V4261 >= -5 AND V4261 <= -1) THEN V4261 = .;
   IF (V4262 >= -5 AND V4262 <= -1) THEN V4262 = .;
   IF (V4263 >= -5 AND V4263 <= -1) THEN V4263 = .;
   IF (V4264 >= -5 AND V4264 <= -1) THEN V4264 = .;
   IF (V4265 >= -5 AND V4265 <= -1) THEN V4265 = .;
   IF (V4266 >= -5 AND V4266 <= -1) THEN V4266 = .;
   IF (V4267 >= -5 AND V4267 <= -1) THEN V4267 = .;
   IF (V4268 >= -5 AND V4268 <= -1) THEN V4268 = .;
   IF (V4269 >= -5 AND V4269 <= -1) THEN V4269 = .;
   IF (V4270 >= -5 AND V4270 <= -1) THEN V4270 = .;
   IF (V4271 >= -5 AND V4271 <= -1) THEN V4271 = .;
   IF (V4272 >= -5 AND V4272 <= -1) THEN V4272 = .;
   IF (V4273 >= -5 AND V4273 <= -1) THEN V4273 = .;
   IF (V4274 >= -5 AND V4274 <= -1) THEN V4274 = .;
   IF (V4275 >= -5 AND V4275 <= -1) THEN V4275 = .;
   IF (V4276 >= -5 AND V4276 <= -1) THEN V4276 = .;
   IF (V4277 >= -5 AND V4277 <= -1) THEN V4277 = .;
   IF (V4278 >= -5 AND V4278 <= -1) THEN V4278 = .;
   IF (V4279 >= -5 AND V4279 <= -1) THEN V4279 = .;
   IF (V4280 >= -5 AND V4280 <= -1) THEN V4280 = .;
   IF (V4281 >= -5 AND V4281 <= -1) THEN V4281 = .;
   IF (V4282 >= -5 AND V4282 <= -1) THEN V4282 = .;
   IF (V4283 >= -5 AND V4283 <= -1) THEN V4283 = .;
   IF (V4284 >= -5 AND V4284 <= -1) THEN V4284 = .;
   IF (V4285 >= -5 AND V4285 <= -1) THEN V4285 = .;
   IF (V4286 >= -5 AND V4286 <= -1) THEN V4286 = .;
   IF (V4287 >= -5 AND V4287 <= -1) THEN V4287 = .;
   IF (V4288 >= -5 AND V4288 <= -1) THEN V4288 = .;
   IF (V4289 >= -5 AND V4289 <= -1) THEN V4289 = .;
   IF (V4290 >= -5 AND V4290 <= -1) THEN V4290 = .;
   IF (V4291 >= -5 AND V4291 <= -1) THEN V4291 = .;
   IF (V4292 >= -5 AND V4292 <= -1) THEN V4292 = .;
   IF (V4293 >= -5 AND V4293 <= -1) THEN V4293 = .;
   IF (V4294 >= -5 AND V4294 <= -1) THEN V4294 = .;
   IF (V4295 >= -5 AND V4295 <= -1) THEN V4295 = .;
   IF (V4296 >= -5 AND V4296 <= -1) THEN V4296 = .;
   IF (V4297 >= -5 AND V4297 <= -1) THEN V4297 = .;
   IF (V4298 >= -5 AND V4298 <= -1) THEN V4298 = .;
   IF (V4299 >= -5 AND V4299 <= -1) THEN V4299 = .;
   IF (V4300 >= -5 AND V4300 <= -1) THEN V4300 = .;
   IF (V4301 >= -5 AND V4301 <= -1) THEN V4301 = .;
   IF (V4302 >= -5 AND V4302 <= -1) THEN V4302 = .;
   IF (V4303 >= -5 AND V4303 <= -1) THEN V4303 = .;
   IF (V4304 >= -5 AND V4304 <= -1) THEN V4304 = .;
   IF (V4305 >= -5 AND V4305 <= -1) THEN V4305 = .;
   IF (V4306 >= -5 AND V4306 <= -1) THEN V4306 = .;
   IF (V4307 >= -5 AND V4307 <= -1) THEN V4307 = .;
   IF (V4308 >= -5 AND V4308 <= -1) THEN V4308 = .;
   IF (V4309 >= -5 AND V4309 <= -1) THEN V4309 = .;
   IF (V4310 >= -5 AND V4310 <= -1) THEN V4310 = .;
   IF (V4311 >= -5 AND V4311 <= -1) THEN V4311 = .;
   IF (V4312 >= -5 AND V4312 <= -1) THEN V4312 = .;
   IF (V4313 >= -5 AND V4313 <= -1) THEN V4313 = .;
   IF (V4314 >= -5 AND V4314 <= -1) THEN V4314 = .;
   IF (V4315 >= -5 AND V4315 <= -1) THEN V4315 = .;
   IF (V4316 >= -5 AND V4316 <= -1) THEN V4316 = .;
   IF (V4317 >= -5 AND V4317 <= -1) THEN V4317 = .;
   IF (V4318 >= -5 AND V4318 <= -1) THEN V4318 = .;
   IF (V4319 >= -5 AND V4319 <= -1) THEN V4319 = .;
   IF (V4320 >= -5 AND V4320 <= -1) THEN V4320 = .;
   IF (V4321 >= -5 AND V4321 <= -1) THEN V4321 = .;
   IF (V4322 >= -5 AND V4322 <= -1) THEN V4322 = .;
   IF (V4323 >= -5 AND V4323 <= -1) THEN V4323 = .;
   IF (V4324 >= -5 AND V4324 <= -1) THEN V4324 = .;
   IF (V4325 >= -5 AND V4325 <= -1) THEN V4325 = .;
   IF (V4326 >= -5 AND V4326 <= -1) THEN V4326 = .;
   IF (V4327 >= -5 AND V4327 <= -1) THEN V4327 = .;
   IF (V4328 >= -5 AND V4328 <= -1) THEN V4328 = .;
   IF (V4329 >= -5 AND V4329 <= -1) THEN V4329 = .;
   IF (V4330 >= -5 AND V4330 <= -1) THEN V4330 = .;
   IF (V4331 >= -5 AND V4331 <= -1) THEN V4331 = .;
   IF (V4332 >= -5 AND V4332 <= -1) THEN V4332 = .;
   IF (V4333 >= -5 AND V4333 <= -1) THEN V4333 = .;
   IF (V4334 >= -5 AND V4334 <= -1) THEN V4334 = .;
   IF (V4335 >= -5 AND V4335 <= -1) THEN V4335 = .;
   IF (V4336 >= -5 AND V4336 <= -1) THEN V4336 = .;
   IF (V4337 >= -5 AND V4337 <= -1) THEN V4337 = .;
   IF (V4338 >= -5 AND V4338 <= -1) THEN V4338 = .;
   IF (V4339 >= -5 AND V4339 <= -1) THEN V4339 = .;
   IF (V4340 >= -5 AND V4340 <= -1) THEN V4340 = .;
   IF (V4341 >= -5 AND V4341 <= -1) THEN V4341 = .;
   IF (V4342 >= -5 AND V4342 <= -1) THEN V4342 = .;
   IF (V4343 >= -5 AND V4343 <= -1) THEN V4343 = .;
   IF (V4344 >= -5 AND V4344 <= -1) THEN V4344 = .;
   IF (V4345 >= -5 AND V4345 <= -1) THEN V4345 = .;
   IF (V4346 >= -5 AND V4346 <= -1) THEN V4346 = .;
   IF (V4347 >= -5 AND V4347 <= -1) THEN V4347 = .;
   IF (V4348 >= -5 AND V4348 <= -1) THEN V4348 = .;
   IF (V4349 >= -5 AND V4349 <= -1) THEN V4349 = .;
   IF (V4350 >= -5 AND V4350 <= -1) THEN V4350 = .;
   IF (V4351 >= -5 AND V4351 <= -1) THEN V4351 = .;
   IF (V4352 >= -5 AND V4352 <= -1) THEN V4352 = .;
   IF (V4353 >= -5 AND V4353 <= -1) THEN V4353 = .;
   IF (V4354 >= -5 AND V4354 <= -1) THEN V4354 = .;
   IF (V4355 >= -5 AND V4355 <= -1) THEN V4355 = .;
   IF (V4356 >= -5 AND V4356 <= -1) THEN V4356 = .;
   IF (V4357 >= -5 AND V4357 <= -1) THEN V4357 = .;
   IF (V4358 >= -5 AND V4358 <= -1) THEN V4358 = .;
   IF (V4359 >= -5 AND V4359 <= -1) THEN V4359 = .;
   IF (V4360 >= -5 AND V4360 <= -1) THEN V4360 = .;
   IF (V4361 >= -5 AND V4361 <= -1) THEN V4361 = .;
   IF (V4362 >= -5 AND V4362 <= -1) THEN V4362 = .;
   IF (V4363 >= -5 AND V4363 <= -1) THEN V4363 = .;
   IF (V4364 >= -5 AND V4364 <= -1) THEN V4364 = .;
   IF (V4365 >= -5 AND V4365 <= -1) THEN V4365 = .;
   IF (V4366 >= -5 AND V4366 <= -1) THEN V4366 = .;
   IF (V4367 >= -5 AND V4367 <= -1) THEN V4367 = .;
   IF (V4368 >= -5 AND V4368 <= -1) THEN V4368 = .;
   IF (V4369 >= -5 AND V4369 <= -1) THEN V4369 = .;
   IF (V4370 >= -5 AND V4370 <= -1) THEN V4370 = .;
   IF (V4371 >= -5 AND V4371 <= -1) THEN V4371 = .;
   IF (V4372 >= -5 AND V4372 <= -1) THEN V4372 = .;
   IF (V4373 >= -5 AND V4373 <= -1) THEN V4373 = .;
   IF (V4374 >= -5 AND V4374 <= -1) THEN V4374 = .;
   IF (V4375 >= -5 AND V4375 <= -1) THEN V4375 = .;
   IF (V4376 >= -5 AND V4376 <= -1) THEN V4376 = .;
   IF (V4377 >= -5 AND V4377 <= -1) THEN V4377 = .;
   IF (V4378 >= -5 AND V4378 <= -1) THEN V4378 = .;
   IF (V4379 >= -5 AND V4379 <= -1) THEN V4379 = .;
   IF (V4380 >= -5 AND V4380 <= -1) THEN V4380 = .;
   IF (V4381 >= -5 AND V4381 <= -1) THEN V4381 = .;
   IF (V4382 >= -5 AND V4382 <= -1) THEN V4382 = .;
   IF (V4383 >= -5 AND V4383 <= -1) THEN V4383 = .;
   IF (V4384 >= -5 AND V4384 <= -1) THEN V4384 = .;
   IF (V4385 >= -5 AND V4385 <= -1) THEN V4385 = .;
   IF (V4386 >= -5 AND V4386 <= -1) THEN V4386 = .;
   IF (V4387 >= -5 AND V4387 <= -1) THEN V4387 = .;
   IF (V4388 >= -5 AND V4388 <= -1) THEN V4388 = .;
   IF (V4389 >= -5 AND V4389 <= -1) THEN V4389 = .;
   IF (V4390 >= -5 AND V4390 <= -1) THEN V4390 = .;
   IF (V4391 >= -5 AND V4391 <= -1) THEN V4391 = .;
   IF (V4392 >= -5 AND V4392 <= -1) THEN V4392 = .;
   IF (V4393 >= -5 AND V4393 <= -1) THEN V4393 = .;
   IF (V4394 >= -5 AND V4394 <= -1) THEN V4394 = .;
   IF (V4395 >= -5 AND V4395 <= -1) THEN V4395 = .;
   IF (V4396 >= -5 AND V4396 <= -1) THEN V4396 = .;
   IF (V4397 >= -5 AND V4397 <= -1) THEN V4397 = .;
   IF (V4398 >= -5 AND V4398 <= -1) THEN V4398 = .;
   IF (V4399 >= -5 AND V4399 <= -1) THEN V4399 = .;
   IF (V4400 >= -5 AND V4400 <= -1) THEN V4400 = .;
   IF (V4401 >= -5 AND V4401 <= -1) THEN V4401 = .;
   IF (V4402 >= -5 AND V4402 <= -1) THEN V4402 = .;
   IF (V4403 >= -5 AND V4403 <= -1) THEN V4403 = .;
   IF (V4404 >= -5 AND V4404 <= -1) THEN V4404 = .;
   IF (V4405 >= -5 AND V4405 <= -1) THEN V4405 = .;
   IF (V4406 >= -5 AND V4406 <= -1) THEN V4406 = .;
   IF (V4407 >= -5 AND V4407 <= -1) THEN V4407 = .;
   IF (V4408 >= -5 AND V4408 <= -1) THEN V4408 = .;
   IF (V4409 >= -5 AND V4409 <= -1) THEN V4409 = .;
   IF (V4410 >= -5 AND V4410 <= -1) THEN V4410 = .;
   IF (V4411 >= -5 AND V4411 <= -1) THEN V4411 = .;
   IF (V4412 >= -5 AND V4412 <= -1) THEN V4412 = .;
   IF (V4413 >= -5 AND V4413 <= -1) THEN V4413 = .;
   IF (V4414 >= -5 AND V4414 <= -1) THEN V4414 = .;
   IF (V4415 >= -5 AND V4415 <= -1) THEN V4415 = .;
   IF (V4416 >= -5 AND V4416 <= -1) THEN V4416 = .;
   IF (V4417 >= -5 AND V4417 <= -1) THEN V4417 = .;
   IF (V4418 >= -5 AND V4418 <= -1) THEN V4418 = .;
   IF (V4419 >= -5 AND V4419 <= -1) THEN V4419 = .;
   IF (V4420 >= -5 AND V4420 <= -1) THEN V4420 = .;
   IF (V4421 >= -5 AND V4421 <= -1) THEN V4421 = .;
   IF (V4422 >= -5 AND V4422 <= -1) THEN V4422 = .;
   IF (V4423 >= -5 AND V4423 <= -1) THEN V4423 = .;
   IF (V4424 >= -5 AND V4424 <= -1) THEN V4424 = .;
   IF (V4425 >= -5 AND V4425 <= -1) THEN V4425 = .;
   IF (V4426 >= -5 AND V4426 <= -1) THEN V4426 = .;
   IF (V4427 >= -5 AND V4427 <= -1) THEN V4427 = .;
   IF (V4428 >= -5 AND V4428 <= -1) THEN V4428 = .;
   IF (V4429 >= -5 AND V4429 <= -1) THEN V4429 = .;
   IF (V4430 >= -5 AND V4430 <= -1) THEN V4430 = .;
   IF (V4431 >= -5 AND V4431 <= -1) THEN V4431 = .;
   IF (V4432 >= -5 AND V4432 <= -1) THEN V4432 = .;
   IF (V4433 >= -5 AND V4433 <= -1) THEN V4433 = .;
   IF (V4434 >= -5 AND V4434 <= -1) THEN V4434 = .;
   IF (V4435 >= -5 AND V4435 <= -1) THEN V4435 = .;
   IF (V4436 >= -5 AND V4436 <= -1) THEN V4436 = .;
   IF (V4437 >= -5 AND V4437 <= -1) THEN V4437 = .;
   IF (V4438 >= -5 AND V4438 <= -1) THEN V4438 = .;
   IF (V4439 >= -5 AND V4439 <= -1) THEN V4439 = .;
   IF (V4440 >= -5 AND V4440 <= -1) THEN V4440 = .;
   IF (V4441 >= -5 AND V4441 <= -1) THEN V4441 = .;
   IF (V4442 >= -5 AND V4442 <= -1) THEN V4442 = .;
   IF (V4443 >= -5 AND V4443 <= -1) THEN V4443 = .;
   IF (V4444 >= -5 AND V4444 <= -1) THEN V4444 = .;
   IF (V4445 >= -5 AND V4445 <= -1) THEN V4445 = .;
   IF (V4446 >= -5 AND V4446 <= -1) THEN V4446 = .;
   IF (V4447 >= -5 AND V4447 <= -1) THEN V4447 = .;
   IF (V4448 >= -5 AND V4448 <= -1) THEN V4448 = .;
   IF (V4449 >= -5 AND V4449 <= -1) THEN V4449 = .;
   IF (V4450 >= -5 AND V4450 <= -1) THEN V4450 = .;
   IF (V4451 >= -5 AND V4451 <= -1) THEN V4451 = .;
   IF (V4452 >= -5 AND V4452 <= -1) THEN V4452 = .;
   IF (V4453 >= -5 AND V4453 <= -1) THEN V4453 = .;
   IF (V4454 >= -5 AND V4454 <= -1) THEN V4454 = .;
   IF (V4455 >= -5 AND V4455 <= -1) THEN V4455 = .;
   IF (V4456 >= -5 AND V4456 <= -1) THEN V4456 = .;
   IF (V4457 >= -5 AND V4457 <= -1) THEN V4457 = .;
   IF (V4458 >= -5 AND V4458 <= -1) THEN V4458 = .;
   IF (V4459 >= -5 AND V4459 <= -1) THEN V4459 = .;
   IF (V4460 >= -5 AND V4460 <= -1) THEN V4460 = .;
   IF (V4461 >= -5 AND V4461 <= -1) THEN V4461 = .;
   IF (V4462 >= -5 AND V4462 <= -1) THEN V4462 = .;
   IF (V4463 >= -5 AND V4463 <= -1) THEN V4463 = .;
   IF (V4464 >= -5 AND V4464 <= -1) THEN V4464 = .;
   IF (V4465 >= -5 AND V4465 <= -1) THEN V4465 = .;
   IF (V4466 >= -5 AND V4466 <= -1) THEN V4466 = .;
   IF (V4467 >= -5 AND V4467 <= -1) THEN V4467 = .;
   IF (V4468 >= -5 AND V4468 <= -1) THEN V4468 = .;
   IF (V4469 >= -5 AND V4469 <= -1) THEN V4469 = .;
   IF (V4470 >= -5 AND V4470 <= -1) THEN V4470 = .;
   IF (V4471 >= -5 AND V4471 <= -1) THEN V4471 = .;
   IF (V4472 >= -5 AND V4472 <= -1) THEN V4472 = .;
   IF (V4473 >= -5 AND V4473 <= -1) THEN V4473 = .;
   IF (V4474 >= -5 AND V4474 <= -1) THEN V4474 = .;
   IF (V4475 >= -5 AND V4475 <= -1) THEN V4475 = .;
   IF (V4476 >= -5 AND V4476 <= -1) THEN V4476 = .;
   IF (V4477 >= -5 AND V4477 <= -1) THEN V4477 = .;
   IF (V4478 >= -5 AND V4478 <= -1) THEN V4478 = .;
   IF (V4479 >= -5 AND V4479 <= -1) THEN V4479 = .;
   IF (V4480 >= -5 AND V4480 <= -1) THEN V4480 = .;
   IF (V4481 >= -5 AND V4481 <= -1) THEN V4481 = .;
   IF (V4482 >= -5 AND V4482 <= -1) THEN V4482 = .;
   IF (V4483 >= -5 AND V4483 <= -1) THEN V4483 = .;
   IF (V4484 >= -5 AND V4484 <= -1) THEN V4484 = .;
   IF (V4485 >= -5 AND V4485 <= -1) THEN V4485 = .;
   IF (V4486 >= -5 AND V4486 <= -1) THEN V4486 = .;
   IF (V4487 >= -5 AND V4487 <= -1) THEN V4487 = .;
   IF (V4488 >= -5 AND V4488 <= -1) THEN V4488 = .;
   IF (V4489 >= -5 AND V4489 <= -1) THEN V4489 = .;
   IF (V4490 >= -5 AND V4490 <= -1) THEN V4490 = .;
   IF (V4491 >= -5 AND V4491 <= -1) THEN V4491 = .;
   IF (V4492 >= -5 AND V4492 <= -1) THEN V4492 = .;
   IF (V4493 >= -5 AND V4493 <= -1) THEN V4493 = .;
   IF (V4494 >= -5 AND V4494 <= -1) THEN V4494 = .;
   IF (V4495 >= -5 AND V4495 <= -1) THEN V4495 = .;
   IF (V4496 >= -5 AND V4496 <= -1) THEN V4496 = .;
   IF (V4497 >= -5 AND V4497 <= -1) THEN V4497 = .;
   IF (V4498 >= -5 AND V4498 <= -1) THEN V4498 = .;
   IF (V4499 >= -5 AND V4499 <= -1) THEN V4499 = .;
   IF (V4500 >= -5 AND V4500 <= -1) THEN V4500 = .;
   IF (V4501 >= -5 AND V4501 <= -1) THEN V4501 = .;
   IF (V4502 >= -5 AND V4502 <= -1) THEN V4502 = .;
   IF (V4503 >= -5 AND V4503 <= -1) THEN V4503 = .;
   IF (V4504 >= -5 AND V4504 <= -1) THEN V4504 = .;
   IF (V4505 >= -5 AND V4505 <= -1) THEN V4505 = .;
   IF (V4506 >= -5 AND V4506 <= -1) THEN V4506 = .;
   IF (V4507 >= -5 AND V4507 <= -1) THEN V4507 = .;
   IF (V4508 >= -5 AND V4508 <= -1) THEN V4508 = .;
   IF (V4509 >= -5 AND V4509 <= -1) THEN V4509 = .;
   IF (V4510 >= -5 AND V4510 <= -1) THEN V4510 = .;
   IF (V4511 >= -5 AND V4511 <= -1) THEN V4511 = .;
   IF (V4512 >= -5 AND V4512 <= -1) THEN V4512 = .;
   IF (V4513 >= -5 AND V4513 <= -1) THEN V4513 = .;
   IF (V4514 >= -5 AND V4514 <= -1) THEN V4514 = .;
   IF (V4515 >= -5 AND V4515 <= -1) THEN V4515 = .;
   IF (V4516 >= -5 AND V4516 <= -1) THEN V4516 = .;
   IF (V4517 >= -5 AND V4517 <= -1) THEN V4517 = .;
   IF (V4518 >= -5 AND V4518 <= -1) THEN V4518 = .;
   IF (V4519 >= -5 AND V4519 <= -1) THEN V4519 = .;
   IF (V4520 >= -5 AND V4520 <= -1) THEN V4520 = .;
   IF (V4521 >= -5 AND V4521 <= -1) THEN V4521 = .;
   IF (V4522 >= -5 AND V4522 <= -1) THEN V4522 = .;
   IF (V4523 >= -5 AND V4523 <= -1) THEN V4523 = .;
   IF (V4524 >= -5 AND V4524 <= -1) THEN V4524 = .;
   IF (V4525 >= -5 AND V4525 <= -1) THEN V4525 = .;
   IF (V4526 >= -5 AND V4526 <= -1) THEN V4526 = .;
   IF (V4527 >= -5 AND V4527 <= -1) THEN V4527 = .;
   IF (V4528 >= -5 AND V4528 <= -1) THEN V4528 = .;
   IF (V4529 >= -5 AND V4529 <= -1) THEN V4529 = .;
   IF (V4530 >= -5 AND V4530 <= -1) THEN V4530 = .;
   IF (V4531 >= -5 AND V4531 <= -1) THEN V4531 = .;
   IF (V4532 >= -5 AND V4532 <= -1) THEN V4532 = .;
   IF (V4533 >= -5 AND V4533 <= -1) THEN V4533 = .;
   IF (V4534 >= -5 AND V4534 <= -1) THEN V4534 = .;
   IF (V4535 >= -5 AND V4535 <= -1) THEN V4535 = .;
   IF (V4536 >= -5 AND V4536 <= -1) THEN V4536 = .;
   IF (V4537 >= -5 AND V4537 <= -1) THEN V4537 = .;
   IF (V4538 >= -5 AND V4538 <= -1) THEN V4538 = .;
   IF (V4539 >= -5 AND V4539 <= -1) THEN V4539 = .;
   IF (V4540 >= -5 AND V4540 <= -1) THEN V4540 = .;
   IF (V4541 >= -5 AND V4541 <= -1) THEN V4541 = .;
   IF (V4542 >= -5 AND V4542 <= -1) THEN V4542 = .;
   IF (V4543 >= -5 AND V4543 <= -1) THEN V4543 = .;
   IF (V4544 >= -5 AND V4544 <= -1) THEN V4544 = .;
   IF (V4545 >= -5 AND V4545 <= -1) THEN V4545 = .;
   IF (V4546 >= -5 AND V4546 <= -1) THEN V4546 = .;
   IF (V4547 >= -5 AND V4547 <= -1) THEN V4547 = .;
   IF (V4548 >= -5 AND V4548 <= -1) THEN V4548 = .;
   IF (V4549 >= -5 AND V4549 <= -1) THEN V4549 = .;
   IF (V4550 >= -5 AND V4550 <= -1) THEN V4550 = .;
   IF (V4551 >= -5 AND V4551 <= -1) THEN V4551 = .;
   IF (V4552 >= -5 AND V4552 <= -1) THEN V4552 = .;
   IF (V4553 >= -5 AND V4553 <= -1) THEN V4553 = .;
   IF (V4554 >= -5 AND V4554 <= -1) THEN V4554 = .;
   IF (V4555 >= -5 AND V4555 <= -1) THEN V4555 = .;
   IF (V4556 >= -5 AND V4556 <= -1) THEN V4556 = .;
   IF (V4557 >= -5 AND V4557 <= -1) THEN V4557 = .;
   IF (V4558 >= -5 AND V4558 <= -1) THEN V4558 = .;
   IF (V4559 >= -5 AND V4559 <= -1) THEN V4559 = .;
   IF (V4560 >= -5 AND V4560 <= -1) THEN V4560 = .;
   IF (V4561 >= -5 AND V4561 <= -1) THEN V4561 = .;
   IF (V4562 >= -5 AND V4562 <= -1) THEN V4562 = .;
   IF (V4563 >= -5 AND V4563 <= -1) THEN V4563 = .;
   IF (V4564 >= -5 AND V4564 <= -1) THEN V4564 = .;
   IF (V4565 >= -5 AND V4565 <= -1) THEN V4565 = .;
   IF (V4566 >= -5 AND V4566 <= -1) THEN V4566 = .;
   IF (V4567 >= -5 AND V4567 <= -1) THEN V4567 = .;
   IF (V4568 >= -5 AND V4568 <= -1) THEN V4568 = .;
   IF (V4569 >= -5 AND V4569 <= -1) THEN V4569 = .;
   IF (V4570 >= -5 AND V4570 <= -1) THEN V4570 = .;
   IF (V4571 >= -5 AND V4571 <= -1) THEN V4571 = .;
   IF (V4572 >= -5 AND V4572 <= -1) THEN V4572 = .;
   IF (V4573 >= -5 AND V4573 <= -1) THEN V4573 = .;
   IF (V4574 >= -5 AND V4574 <= -1) THEN V4574 = .;
   IF (V4575 >= -5 AND V4575 <= -1) THEN V4575 = .;
   IF (V4576 >= -5 AND V4576 <= -1) THEN V4576 = .;
   IF (V4577 >= -5 AND V4577 <= -1) THEN V4577 = .;
   IF (V4578 >= -5 AND V4578 <= -1) THEN V4578 = .;
   IF (V4579 >= -5 AND V4579 <= -1) THEN V4579 = .;
   IF (V4580 >= -5 AND V4580 <= -1) THEN V4580 = .;
   IF (V4581 >= -5 AND V4581 <= -1) THEN V4581 = .;
   IF (V4582 >= -5 AND V4582 <= -1) THEN V4582 = .;
   IF (V4583 >= -5 AND V4583 <= -1) THEN V4583 = .;
   IF (V4584 >= -5 AND V4584 <= -1) THEN V4584 = .;
   IF (V4585 >= -5 AND V4585 <= -1) THEN V4585 = .;
   IF (V4586 >= -5 AND V4586 <= -1) THEN V4586 = .;
   IF (V4587 >= -5 AND V4587 <= -1) THEN V4587 = .;
   IF (V4588 >= -5 AND V4588 <= -1) THEN V4588 = .;
   IF (V4589 >= -5 AND V4589 <= -1) THEN V4589 = .;
   IF (V4590 >= -5 AND V4590 <= -1) THEN V4590 = .;
   IF (V4591 >= -5 AND V4591 <= -1) THEN V4591 = .;
   IF (V4592 >= -5 AND V4592 <= -1) THEN V4592 = .;
   IF (V4593 >= -5 AND V4593 <= -1) THEN V4593 = .;
   IF (V4594 >= -5 AND V4594 <= -1) THEN V4594 = .;
   IF (V4595 >= -5 AND V4595 <= -1) THEN V4595 = .;
   IF (V4596 >= -5 AND V4596 <= -1) THEN V4596 = .;
   IF (V4597 >= -5 AND V4597 <= -1) THEN V4597 = .;
   IF (V4598 >= -5 AND V4598 <= -1) THEN V4598 = .;
   IF (V4599 >= -5 AND V4599 <= -1) THEN V4599 = .;
   IF (V4600 >= -5 AND V4600 <= -1) THEN V4600 = .;
   IF (V4601 >= -5 AND V4601 <= -1) THEN V4601 = .;
   IF (V4602 >= -5 AND V4602 <= -1) THEN V4602 = .;
   IF (V4603 >= -5 AND V4603 <= -1) THEN V4603 = .;
   IF (V4604 >= -5 AND V4604 <= -1) THEN V4604 = .;
   IF (V4605 >= -5 AND V4605 <= -1) THEN V4605 = .;
   IF (V4606 >= -5 AND V4606 <= -1) THEN V4606 = .;
   IF (V4607 >= -5 AND V4607 <= -1) THEN V4607 = .;
   IF (V4608 >= -5 AND V4608 <= -1) THEN V4608 = .;
   IF (V4609 >= -5 AND V4609 <= -1) THEN V4609 = .;
   IF (V4610 >= -5 AND V4610 <= -1) THEN V4610 = .;
   IF (V4611 >= -5 AND V4611 <= -1) THEN V4611 = .;
   IF (V4612 >= -5 AND V4612 <= -1) THEN V4612 = .;
   IF (V4613 >= -5 AND V4613 <= -1) THEN V4613 = .;
   IF (V4614 >= -5 AND V4614 <= -1) THEN V4614 = .;
   IF (V4615 >= -5 AND V4615 <= -1) THEN V4615 = .;
   IF (V4616 >= -5 AND V4616 <= -1) THEN V4616 = .;
   IF (V4617 >= -5 AND V4617 <= -1) THEN V4617 = .;
   IF (V4618 >= -5 AND V4618 <= -1) THEN V4618 = .;
   IF (V4619 >= -5 AND V4619 <= -1) THEN V4619 = .;
   IF (V4620 >= -5 AND V4620 <= -1) THEN V4620 = .;
   IF (V4621 >= -5 AND V4621 <= -1) THEN V4621 = .;
   IF (V4622 >= -5 AND V4622 <= -1) THEN V4622 = .;
   IF (V4623 >= -5 AND V4623 <= -1) THEN V4623 = .;
   IF (V4624 >= -5 AND V4624 <= -1) THEN V4624 = .;
   IF (V4625 >= -5 AND V4625 <= -1) THEN V4625 = .;
   IF (V4626 >= -5 AND V4626 <= -1) THEN V4626 = .;
   IF (V4627 >= -5 AND V4627 <= -1) THEN V4627 = .;
   IF (V4628 >= -5 AND V4628 <= -1) THEN V4628 = .;
   IF (V4629 >= -5 AND V4629 <= -1) THEN V4629 = .;
   IF (V4630 >= -5 AND V4630 <= -1) THEN V4630 = .;
   IF (V4631 >= -5 AND V4631 <= -1) THEN V4631 = .;
   IF (V4632 >= -5 AND V4632 <= -1) THEN V4632 = .;
   IF (V4633 >= -5 AND V4633 <= -1) THEN V4633 = .;
   IF (V4634 >= -5 AND V4634 <= -1) THEN V4634 = .;
   IF (V4635 >= -5 AND V4635 <= -1) THEN V4635 = .;
   IF (V4636 >= -5 AND V4636 <= -1) THEN V4636 = .;
   IF (V4637 >= -5 AND V4637 <= -1) THEN V4637 = .;
   IF (V4638 >= -5 AND V4638 <= -1) THEN V4638 = .;
   IF (V4639 >= -5 AND V4639 <= -1) THEN V4639 = .;
   IF (V4640 >= -5 AND V4640 <= -1) THEN V4640 = .;
   IF (V4641 >= -5 AND V4641 <= -1) THEN V4641 = .;
   IF (V4642 >= -5 AND V4642 <= -1) THEN V4642 = .;
   IF (V4643 >= -5 AND V4643 <= -1) THEN V4643 = .;
   IF (V4644 >= -5 AND V4644 <= -1) THEN V4644 = .;
   IF (V4645 >= -5 AND V4645 <= -1) THEN V4645 = .;
   IF (V4646 >= -5 AND V4646 <= -1) THEN V4646 = .;
   IF (V4647 >= -5 AND V4647 <= -1) THEN V4647 = .;
   IF (V4648 >= -5 AND V4648 <= -1) THEN V4648 = .;
   IF (V4649 >= -5 AND V4649 <= -1) THEN V4649 = .;
   IF (V4650 >= -5 AND V4650 <= -1) THEN V4650 = .;
   IF (V4651 >= -5 AND V4651 <= -1) THEN V4651 = .;
   IF (V4652 >= -5 AND V4652 <= -1) THEN V4652 = .;
   IF (V4653 >= -5 AND V4653 <= -1) THEN V4653 = .;
   IF (V4654 >= -5 AND V4654 <= -1) THEN V4654 = .;
   IF (V4655 >= -5 AND V4655 <= -1) THEN V4655 = .;
   IF (V4656 >= -5 AND V4656 <= -1) THEN V4656 = .;
   IF (V4657 >= -5 AND V4657 <= -1) THEN V4657 = .;
   IF (V4658 >= -5 AND V4658 <= -1) THEN V4658 = .;
   IF (V4659 >= -5 AND V4659 <= -1) THEN V4659 = .;
   IF (V4660 >= -5 AND V4660 <= -1) THEN V4660 = .;
   IF (V4661 >= -5 AND V4661 <= -1) THEN V4661 = .;
   IF (V4662 >= -5 AND V4662 <= -1) THEN V4662 = .;
   IF (V4663 >= -5 AND V4663 <= -1) THEN V4663 = .;
   IF (V4664 >= -5 AND V4664 <= -1) THEN V4664 = .;
   IF (V4665 >= -5 AND V4665 <= -1) THEN V4665 = .;
   IF (V4666 >= -5 AND V4666 <= -1) THEN V4666 = .;
   IF (V4667 >= -5 AND V4667 <= -1) THEN V4667 = .;
   IF (V4668 >= -5 AND V4668 <= -1) THEN V4668 = .;
   IF (V4669 >= -5 AND V4669 <= -1) THEN V4669 = .;
   IF (V4670 >= -5 AND V4670 <= -1) THEN V4670 = .;
   IF (V4671 >= -5 AND V4671 <= -1) THEN V4671 = .;
   IF (V4672 >= -5 AND V4672 <= -1) THEN V4672 = .;
   IF (V4673 >= -5 AND V4673 <= -1) THEN V4673 = .;
   IF (V4674 >= -5 AND V4674 <= -1) THEN V4674 = .;
   IF (V4675 >= -5 AND V4675 <= -1) THEN V4675 = .;
   IF (V4676 >= -5 AND V4676 <= -1) THEN V4676 = .;
   IF (V4677 >= -5 AND V4677 <= -1) THEN V4677 = .;
   IF (V4678 >= -5 AND V4678 <= -1) THEN V4678 = .;
   IF (V4679 >= -5 AND V4679 <= -1) THEN V4679 = .;
   IF (V4680 >= -5 AND V4680 <= -1) THEN V4680 = .;
   IF (V4681 >= -5 AND V4681 <= -1) THEN V4681 = .;
   IF (V4682 >= -5 AND V4682 <= -1) THEN V4682 = .;
   IF (V4683 >= -5 AND V4683 <= -1) THEN V4683 = .;
   IF (V4684 >= -5 AND V4684 <= -1) THEN V4684 = .;
   IF (V4685 >= -5 AND V4685 <= -1) THEN V4685 = .;
   IF (V4686 >= -5 AND V4686 <= -1) THEN V4686 = .;
   IF (V4687 >= -5 AND V4687 <= -1) THEN V4687 = .;
   IF (V4688 >= -5 AND V4688 <= -1) THEN V4688 = .;
   IF (V4689 >= -5 AND V4689 <= -1) THEN V4689 = .;
   IF (V4690 >= -5 AND V4690 <= -1) THEN V4690 = .;
   IF (V4691 >= -5 AND V4691 <= -1) THEN V4691 = .;
   IF (V4692 >= -5 AND V4692 <= -1) THEN V4692 = .;
   IF (V4693 >= -5 AND V4693 <= -1) THEN V4693 = .;
   IF (V4694 >= -5 AND V4694 <= -1) THEN V4694 = .;
   IF (V4695 >= -5 AND V4695 <= -1) THEN V4695 = .;
   IF (V4696 >= -5 AND V4696 <= -1) THEN V4696 = .;
   IF (V4697 >= -5 AND V4697 <= -1) THEN V4697 = .;
   IF (V4698 >= -5 AND V4698 <= -1) THEN V4698 = .;
   IF (V4699 >= -5 AND V4699 <= -1) THEN V4699 = .;
   IF (V4700 >= -5 AND V4700 <= -1) THEN V4700 = .;
   IF (V4701 >= -5 AND V4701 <= -1) THEN V4701 = .;
   IF (V4702 >= -5 AND V4702 <= -1) THEN V4702 = .;
   IF (V4703 >= -5 AND V4703 <= -1) THEN V4703 = .;
   IF (V4704 >= -5 AND V4704 <= -1) THEN V4704 = .;
   IF (V4705 >= -5 AND V4705 <= -1) THEN V4705 = .;
   IF (V4706 >= -5 AND V4706 <= -1) THEN V4706 = .;
   IF (V4707 >= -5 AND V4707 <= -1) THEN V4707 = .;
   IF (V4708 >= -5 AND V4708 <= -1) THEN V4708 = .;
   IF (V4709 >= -5 AND V4709 <= -1) THEN V4709 = .;
   IF (V4710 >= -5 AND V4710 <= -1) THEN V4710 = .;
   IF (V4711 >= -5 AND V4711 <= -1) THEN V4711 = .;
   IF (V4712 >= -5 AND V4712 <= -1) THEN V4712 = .;
   IF (V4713 >= -5 AND V4713 <= -1) THEN V4713 = .;
   IF (V4714 >= -5 AND V4714 <= -1) THEN V4714 = .;
   IF (V4715 >= -5 AND V4715 <= -1) THEN V4715 = .;
   IF (V4716 >= -5 AND V4716 <= -1) THEN V4716 = .;
   IF (V4717 >= -5 AND V4717 <= -1) THEN V4717 = .;
   IF (V4718 >= -5 AND V4718 <= -1) THEN V4718 = .;
   IF (V4719 >= -5 AND V4719 <= -1) THEN V4719 = .;
   IF (V4720 >= -5 AND V4720 <= -1) THEN V4720 = .;
   IF (V4721 >= -5 AND V4721 <= -1) THEN V4721 = .;
   IF (V4722 >= -5 AND V4722 <= -1) THEN V4722 = .;
   IF (V4723 >= -5 AND V4723 <= -1) THEN V4723 = .;
   IF (V4724 >= -5 AND V4724 <= -1) THEN V4724 = .;
   IF (V4725 >= -5 AND V4725 <= -1) THEN V4725 = .;
   IF (V4726 >= -5 AND V4726 <= -1) THEN V4726 = .;
   IF (V4727 >= -5 AND V4727 <= -1) THEN V4727 = .;
   IF (V4728 >= -5 AND V4728 <= -1) THEN V4728 = .;
   IF (V4729 >= -5 AND V4729 <= -1) THEN V4729 = .;
   IF (V4730 >= -5 AND V4730 <= -1) THEN V4730 = .;
   IF (V4731 >= -5 AND V4731 <= -1) THEN V4731 = .;
   IF (V4732 >= -5 AND V4732 <= -1) THEN V4732 = .;
   IF (V4733 >= -5 AND V4733 <= -1) THEN V4733 = .;
   IF (V4734 >= -5 AND V4734 <= -1) THEN V4734 = .;
   IF (V4735 >= -5 AND V4735 <= -1) THEN V4735 = .;
   IF (V4736 >= -5 AND V4736 <= -1) THEN V4736 = .;
   IF (V4737 >= -5 AND V4737 <= -1) THEN V4737 = .;
   IF (V4738 >= -5 AND V4738 <= -1) THEN V4738 = .;
   IF (V4739 >= -5 AND V4739 <= -1) THEN V4739 = .;
   IF (V4740 >= -5 AND V4740 <= -1) THEN V4740 = .;
   IF (V4741 >= -5 AND V4741 <= -1) THEN V4741 = .;
   IF (V4742 >= -5 AND V4742 <= -1) THEN V4742 = .;
   IF (V4743 >= -5 AND V4743 <= -1) THEN V4743 = .;
   IF (V4744 >= -5 AND V4744 <= -1) THEN V4744 = .;
   IF (V4745 >= -5 AND V4745 <= -1) THEN V4745 = .;
   IF (V4746 >= -5 AND V4746 <= -1) THEN V4746 = .;
   IF (V4747 >= -5 AND V4747 <= -1) THEN V4747 = .;
   IF (V4748 >= -5 AND V4748 <= -1) THEN V4748 = .;
   IF (V4749 >= -5 AND V4749 <= -1) THEN V4749 = .;
   IF (V4750 >= -5 AND V4750 <= -1) THEN V4750 = .;
   IF (V4751 >= -5 AND V4751 <= -1) THEN V4751 = .;
   IF (V4752 >= -5 AND V4752 <= -1) THEN V4752 = .;
   IF (V4753 >= -5 AND V4753 <= -1) THEN V4753 = .;
   IF (V4754 >= -5 AND V4754 <= -1) THEN V4754 = .;
   IF (V4755 >= -5 AND V4755 <= -1) THEN V4755 = .;
   IF (V4756 >= -5 AND V4756 <= -1) THEN V4756 = .;
   IF (V4757 >= -5 AND V4757 <= -1) THEN V4757 = .;
   IF (V4758 >= -5 AND V4758 <= -1) THEN V4758 = .;
   IF (V4759 >= -5 AND V4759 <= -1) THEN V4759 = .;
   IF (V4764 >= -5 AND V4764 <= -1) THEN V4764 = .;
   IF (V4765 >= -5 AND V4765 <= -1) THEN V4765 = .;
   IF (V4766 >= -5 AND V4766 <= -1) THEN V4766 = .;
   IF (V4767 >= -5 AND V4767 <= -1) THEN V4767 = .;
   IF (V4768 >= -5 AND V4768 <= -1) THEN V4768 = .;
   IF (V4769 >= -5 AND V4769 <= -1) THEN V4769 = .;
   IF (V4770 >= -5 AND V4770 <= -1) THEN V4770 = .;
   IF (V4771 >= -5 AND V4771 <= -1) THEN V4771 = .;
   IF (V4772 >= -5 AND V4772 <= -1) THEN V4772 = .;
   IF (V4773 >= -5 AND V4773 <= -1) THEN V4773 = .;
   IF (V4774 >= -5 AND V4774 <= -1) THEN V4774 = .;
   IF (V4775 >= -5 AND V4775 <= -1) THEN V4775 = .;
   IF (V4776 >= -5 AND V4776 <= -1) THEN V4776 = .;
   IF (V4777 >= -5 AND V4777 <= -1) THEN V4777 = .;
   IF (V4778 >= -5 AND V4778 <= -1) THEN V4778 = .;
   IF (V4779 >= -5 AND V4779 <= -1) THEN V4779 = .;
   IF (V4780 >= -5 AND V4780 <= -1) THEN V4780 = .;
   IF (V4781 >= -5 AND V4781 <= -1) THEN V4781 = .;
   IF (V4782 >= -5 AND V4782 <= -1) THEN V4782 = .;
   IF (V4783 >= -5 AND V4783 <= -1) THEN V4783 = .;
   IF (V4784 >= -5 AND V4784 <= -1) THEN V4784 = .;
   IF (V4785 >= -5 AND V4785 <= -1) THEN V4785 = .;
   IF (V4786 >= -5 AND V4786 <= -1) THEN V4786 = .;
   IF (V4787 >= -5 AND V4787 <= -1) THEN V4787 = .;
   IF (V4788 >= -5 AND V4788 <= -1) THEN V4788 = .;
   IF (V4789 >= -5 AND V4789 <= -1) THEN V4789 = .;
   IF (V4790 >= -5 AND V4790 <= -1) THEN V4790 = .;
   IF (V5004 >= -5 AND V5004 <= -1) THEN V5004 = .;
   IF (V5005 >= -5 AND V5005 <= -1) THEN V5005 = .;
   IF (V5006 >= -5 AND V5006 <= -1) THEN V5006 = .;
   IF (V5007 >= -5 AND V5007 <= -1) THEN V5007 = .;
   IF (V5008 >= -5 AND V5008 <= -1) THEN V5008 = .;
   IF (V5009 >= -5 AND V5009 <= -1) THEN V5009 = .;
   IF (V5010 >= -5 AND V5010 <= -1) THEN V5010 = .;
   IF (V5011 >= -5 AND V5011 <= -1) THEN V5011 = .;
   IF (V5012 >= -5 AND V5012 <= -1) THEN V5012 = .;
   IF (V5013 >= -5 AND V5013 <= -1) THEN V5013 = .;
   IF (V5014 >= -5 AND V5014 <= -1) THEN V5014 = .;
   IF (V5015 >= -5 AND V5015 <= -1) THEN V5015 = .;
   IF (V5016 >= -5 AND V5016 <= -1) THEN V5016 = .;
   IF (V5017 >= -5 AND V5017 <= -1) THEN V5017 = .;
   IF (V5018 >= -5 AND V5018 <= -1) THEN V5018 = .;
   IF (V5019 >= -5 AND V5019 <= -1) THEN V5019 = .;
   IF (V5020 >= -5 AND V5020 <= -1) THEN V5020 = .;
   IF (V5021 >= -5 AND V5021 <= -1) THEN V5021 = .;
   IF (V5022 >= -5 AND V5022 <= -1) THEN V5022 = .;
   IF (V5023 >= -5 AND V5023 <= -1) THEN V5023 = .;
   IF (V5024 >= -5 AND V5024 <= -1) THEN V5024 = .;
   IF (V5025 >= -5 AND V5025 <= -1) THEN V5025 = .;
   IF (V5026 >= -5 AND V5026 <= -1) THEN V5026 = .;
   IF (V5027 >= -5 AND V5027 <= -1) THEN V5027 = .;
   IF (V5028 >= -5 AND V5028 <= -1) THEN V5028 = .;
   IF (V5029 >= -5 AND V5029 <= -1) THEN V5029 = .;
   IF (V5030 >= -5 AND V5030 <= -1) THEN V5030 = .;
   IF (V5031 >= -5 AND V5031 <= -1) THEN V5031 = .;
   IF (V5032 >= -5 AND V5032 <= -1) THEN V5032 = .;
   IF (V5033 >= -5 AND V5033 <= -1) THEN V5033 = .;
   IF (V5034 >= -5 AND V5034 <= -1) THEN V5034 = .;
   IF (V5035 >= -5 AND V5035 <= -1) THEN V5035 = .;
   IF (V5036 >= -5 AND V5036 <= -1) THEN V5036 = .;
   IF (V5037 >= -5 AND V5037 <= -1) THEN V5037 = .;
   IF (V5038 >= -5 AND V5038 <= -1) THEN V5038 = .;
   IF (V5039 >= -5 AND V5039 <= -1) THEN V5039 = .;
   IF (V5040 >= -5 AND V5040 <= -1) THEN V5040 = .;
   IF (V5041 >= -5 AND V5041 <= -1) THEN V5041 = .;
   IF (V5042 >= -5 AND V5042 <= -1) THEN V5042 = .;
   IF (V5043 >= -5 AND V5043 <= -1) THEN V5043 = .;
   IF (V5044 >= -5 AND V5044 <= -1) THEN V5044 = .;
   IF (V5045 >= -5 AND V5045 <= -1) THEN V5045 = .;
   IF (V5046 >= -5 AND V5046 <= -1) THEN V5046 = .;
   IF (V5047 >= -5 AND V5047 <= -1) THEN V5047 = .;
   IF (V5048 >= -5 AND V5048 <= -1) THEN V5048 = .;
   IF (V5049 >= -5 AND V5049 <= -1) THEN V5049 = .;
   IF (V5050 >= -5 AND V5050 <= -1) THEN V5050 = .;
   IF (V5051 >= -5 AND V5051 <= -1) THEN V5051 = .;
   IF (V5052 >= -5 AND V5052 <= -1) THEN V5052 = .;
   IF (V5053 >= -5 AND V5053 <= -1) THEN V5053 = .;
   IF (V5054 >= -5 AND V5054 <= -1) THEN V5054 = .;
   IF (V5055 >= -5 AND V5055 <= -1) THEN V5055 = .;
   IF (V5056 >= -5 AND V5056 <= -1) THEN V5056 = .;
   IF (V5057 >= -5 AND V5057 <= -1) THEN V5057 = .;
   IF (V5058 >= -5 AND V5058 <= -1) THEN V5058 = .;
   IF (V5059 >= -5 AND V5059 <= -1) THEN V5059 = .;
   IF (V5060 >= -5 AND V5060 <= -1) THEN V5060 = .;
   IF (V5061 >= -5 AND V5061 <= -1) THEN V5061 = .;
   IF (V5062 >= -5.00 AND V5062 <= -1.00) THEN V5062 = .;
   IF (V5063 >= -5 AND V5063 <= -1) THEN V5063 = .;
   IF (V5064 >= -5 AND V5064 <= -1) THEN V5064 = .;
   IF (V5065 >= -5.00 AND V5065 <= -1.00) THEN V5065 = .;
   IF (V5066 >= -5 AND V5066 <= -1) THEN V5066 = .;
   IF (V5067 >= -5.00 AND V5067 <= -1.00) THEN V5067 = .;
   IF (V5068 >= -5.00 AND V5068 <= -1.00) THEN V5068 = .;
   IF (V5069 >= -5.00 AND V5069 <= -1.00) THEN V5069 = .;
   IF (V5070 >= -5 AND V5070 <= -1) THEN V5070 = .;
   IF (V5071 >= -5 AND V5071 <= -1) THEN V5071 = .;
   IF (V5072 >= -5 AND V5072 <= -1) THEN V5072 = .;
   IF (V5073 >= -5 AND V5073 <= -1) THEN V5073 = .;
   IF (V5074 >= -5 AND V5074 <= -1) THEN V5074 = .;
   IF (V5075 >= -5 AND V5075 <= -1) THEN V5075 = .;
   IF (V5076 >= -5 AND V5076 <= -1) THEN V5076 = .;
   IF (V5077 >= -5 AND V5077 <= -1) THEN V5077 = .;
   IF (V5078 >= -5 AND V5078 <= -1) THEN V5078 = .;
   IF (V5079 >= -5 AND V5079 <= -1) THEN V5079 = .;
   IF (V5080 >= -5 AND V5080 <= -1) THEN V5080 = .;
   IF (V5081 >= -5 AND V5081 <= -1) THEN V5081 = .;
   IF (V5082 >= -5 AND V5082 <= -1) THEN V5082 = .;
   IF (V5083 >= -5 AND V5083 <= -1) THEN V5083 = .;
   IF (V5084 >= -5 AND V5084 <= -1) THEN V5084 = .;
   IF (V5085 >= -5 AND V5085 <= -1) THEN V5085 = .;
   IF (V5086 >= -5 AND V5086 <= -1) THEN V5086 = .;
   IF (V5087 >= -5 AND V5087 <= -1) THEN V5087 = .;
   IF (V5088 >= -5 AND V5088 <= -1) THEN V5088 = .;
   IF (V5089 >= -5 AND V5089 <= -1) THEN V5089 = .;
   IF (V5090 >= -5 AND V5090 <= -1) THEN V5090 = .;
   IF (V5091 >= -5 AND V5091 <= -1) THEN V5091 = .;
   IF (V5092 >= -5 AND V5092 <= -1) THEN V5092 = .;
   IF (V5093 >= -5 AND V5093 <= -1) THEN V5093 = .;
   IF (V5094 >= -5 AND V5094 <= -1) THEN V5094 = .;
   IF (V5095 >= -5 AND V5095 <= -1) THEN V5095 = .;
   IF (V5096 >= -5 AND V5096 <= -1) THEN V5096 = .;
   IF (V5097 >= -5 AND V5097 <= -1) THEN V5097 = .;
   IF (V5098 >= -5 AND V5098 <= -1) THEN V5098 = .;
   IF (V5099 >= -5 AND V5099 <= -1) THEN V5099 = .;
   IF (V5100 >= -5 AND V5100 <= -1) THEN V5100 = .;
   IF (V5101 >= -5 AND V5101 <= -1) THEN V5101 = .;
   IF (V5102 >= -5 AND V5102 <= -1) THEN V5102 = .;
   IF (V5103 >= -5 AND V5103 <= -1) THEN V5103 = .;
   IF (V5104 >= -5 AND V5104 <= -1) THEN V5104 = .;
   IF (V5105 >= -5 AND V5105 <= -1) THEN V5105 = .;
   IF (V5106 >= -5 AND V5106 <= -1) THEN V5106 = .;
   IF (V5107 >= -5 AND V5107 <= -1) THEN V5107 = .;
   IF (V5108 >= -5 AND V5108 <= -1) THEN V5108 = .;
   IF (V5109 >= -5 AND V5109 <= -1) THEN V5109 = .;
   IF (V5110 >= -5 AND V5110 <= -1) THEN V5110 = .;
   IF (V5111 >= -5 AND V5111 <= -1) THEN V5111 = .;
   IF (V5112 >= -5 AND V5112 <= -1) THEN V5112 = .;
   IF (V5113 >= -5 AND V5113 <= -1) THEN V5113 = .;
   IF (V5114 >= -5 AND V5114 <= -1) THEN V5114 = .;
   IF (V5115 >= -5 AND V5115 <= -1) THEN V5115 = .;
   IF (V5116 >= -5 AND V5116 <= -1) THEN V5116 = .;
   IF (V5117 >= -5 AND V5117 <= -1) THEN V5117 = .;
   IF (V5118 >= -5 AND V5118 <= -1) THEN V5118 = .;
   IF (V5119 >= -5 AND V5119 <= -1) THEN V5119 = .;
   IF (V5120 >= -5 AND V5120 <= -1) THEN V5120 = .;
   IF (V5121 >= -5 AND V5121 <= -1) THEN V5121 = .;
   IF (V5122 >= -5 AND V5122 <= -1) THEN V5122 = .;
   IF (V5123 >= -5 AND V5123 <= -1) THEN V5123 = .;
   IF (V5124 >= -5 AND V5124 <= -1) THEN V5124 = .;
   IF (V5125 >= -5 AND V5125 <= -1) THEN V5125 = .;
   IF (V5126 >= -5 AND V5126 <= -1) THEN V5126 = .;
   IF (V5127 >= -5 AND V5127 <= -1) THEN V5127 = .;
   IF (V5128 >= -5 AND V5128 <= -1) THEN V5128 = .;
   IF (V5129 >= -5 AND V5129 <= -1) THEN V5129 = .;
   IF (V5130 >= -5 AND V5130 <= -1) THEN V5130 = .;
   IF (V5131 >= -5 AND V5131 <= -1) THEN V5131 = .;
   IF (V5132 >= -5 AND V5132 <= -1) THEN V5132 = .;
   IF (V5133 >= -5 AND V5133 <= -1) THEN V5133 = .;
   IF (V5134 >= -5 AND V5134 <= -1) THEN V5134 = .;
   IF (V5135 >= -5 AND V5135 <= -1) THEN V5135 = .;
   IF (V5136 >= -5 AND V5136 <= -1) THEN V5136 = .;
   IF (V5137 >= -5 AND V5137 <= -1) THEN V5137 = .;
   IF (V5138 >= -5 AND V5138 <= -1) THEN V5138 = .;
   IF (V5139 >= -5 AND V5139 <= -1) THEN V5139 = .;
   IF (V5140 >= -5 AND V5140 <= -1) THEN V5140 = .;
   IF (V5141 >= -5 AND V5141 <= -1) THEN V5141 = .;
   IF (V5142 >= -5 AND V5142 <= -1) THEN V5142 = .;
   IF (V5143 >= -5 AND V5143 <= -1) THEN V5143 = .;
   IF (V5144 >= -5 AND V5144 <= -1) THEN V5144 = .;
   IF (V5145 >= -5 AND V5145 <= -1) THEN V5145 = .;
   IF (V5146 >= -5 AND V5146 <= -1) THEN V5146 = .;
   IF (V5147 >= -5 AND V5147 <= -1) THEN V5147 = .;
   IF (V5148 >= -5 AND V5148 <= -1) THEN V5148 = .;
   IF (V5149 >= -5 AND V5149 <= -1) THEN V5149 = .;
   IF (V5150 >= -5 AND V5150 <= -1) THEN V5150 = .;
   IF (V5151 >= -5 AND V5151 <= -1) THEN V5151 = .;
   IF (V5152 >= -5 AND V5152 <= -1) THEN V5152 = .;
   IF (V5153 >= -5 AND V5153 <= -1) THEN V5153 = .;
   IF (V5154 >= -5 AND V5154 <= -1) THEN V5154 = .;
   IF (V5155 >= -5 AND V5155 <= -1) THEN V5155 = .;
   IF (V5156 >= -5 AND V5156 <= -1) THEN V5156 = .;
   IF (V5157 >= -5 AND V5157 <= -1) THEN V5157 = .;
   IF (V5158 >= -5 AND V5158 <= -1) THEN V5158 = .;
   IF (V5159 >= -5 AND V5159 <= -1) THEN V5159 = .;
   IF (V5160 >= -5 AND V5160 <= -1) THEN V5160 = .;
   IF (V5161 >= -5 AND V5161 <= -1) THEN V5161 = .;
   IF (V5162 >= -5 AND V5162 <= -1) THEN V5162 = .;
   IF (V5163 >= -5 AND V5163 <= -1) THEN V5163 = .;
   IF (V5164 >= -5 AND V5164 <= -1) THEN V5164 = .;
   IF (V5165 >= -5 AND V5165 <= -1) THEN V5165 = .;
   IF (V5166 >= -5 AND V5166 <= -1) THEN V5166 = .;
   IF (V5167 >= -5 AND V5167 <= -1) THEN V5167 = .;
   IF (V5168 >= -5 AND V5168 <= -1) THEN V5168 = .;
   IF (V5169 >= -5 AND V5169 <= -1) THEN V5169 = .;
   IF (V5170 >= -5 AND V5170 <= -1) THEN V5170 = .;
   IF (V5171 >= -5 AND V5171 <= -1) THEN V5171 = .;
   IF (V5172 >= -5 AND V5172 <= -1) THEN V5172 = .;
   IF (V5173 >= -5 AND V5173 <= -1) THEN V5173 = .;
   IF (V5174 >= -5 AND V5174 <= -1) THEN V5174 = .;
   IF (V5175 >= -5 AND V5175 <= -1) THEN V5175 = .;
   IF (V5176 >= -5 AND V5176 <= -1) THEN V5176 = .;
   IF (V5177 >= -5 AND V5177 <= -1) THEN V5177 = .;
   IF (V5178 >= -5 AND V5178 <= -1) THEN V5178 = .;
   IF (V5179 >= -5 AND V5179 <= -1) THEN V5179 = .;
   IF (V5180 >= -5 AND V5180 <= -1) THEN V5180 = .;
   IF (V5181 >= -5 AND V5181 <= -1) THEN V5181 = .;
   IF (V5182 >= -5 AND V5182 <= -1) THEN V5182 = .;
   IF (V5183 >= -5 AND V5183 <= -1) THEN V5183 = .;
   IF (V5184 >= -5 AND V5184 <= -1) THEN V5184 = .;
   IF (V5185 >= -5 AND V5185 <= -1) THEN V5185 = .;
   IF (V5186 >= -5 AND V5186 <= -1) THEN V5186 = .;
   IF (V5187 >= -5 AND V5187 <= -1) THEN V5187 = .;
   IF (V5188 >= -5 AND V5188 <= -1) THEN V5188 = .;
   IF (V5189 >= -5 AND V5189 <= -1) THEN V5189 = .;
   IF (V5190 >= -5 AND V5190 <= -1) THEN V5190 = .;
   IF (V5191 >= -5 AND V5191 <= -1) THEN V5191 = .;
   IF (V5192 >= -5 AND V5192 <= -1) THEN V5192 = .;
   IF (V5193 >= -5 AND V5193 <= -1) THEN V5193 = .;
   IF (V5194 >= -5 AND V5194 <= -1) THEN V5194 = .;
   IF (V5195 >= -5 AND V5195 <= -1) THEN V5195 = .;
   IF (V5196 >= -5 AND V5196 <= -1) THEN V5196 = .;
   IF (V5197 >= -5 AND V5197 <= -1) THEN V5197 = .;
   IF (V5198 >= -5 AND V5198 <= -1) THEN V5198 = .;
   IF (V5199 >= -5 AND V5199 <= -1) THEN V5199 = .;
   IF (V5200 >= -5 AND V5200 <= -1) THEN V5200 = .;
   IF (V5201 >= -5 AND V5201 <= -1) THEN V5201 = .;
   IF (V5202 >= -5 AND V5202 <= -1) THEN V5202 = .;
   IF (V5203 >= -5 AND V5203 <= -1) THEN V5203 = .;
   IF (V5204 >= -5 AND V5204 <= -1) THEN V5204 = .;
   IF (V5205 >= -5 AND V5205 <= -1) THEN V5205 = .;
   IF (V5206 >= -5 AND V5206 <= -1) THEN V5206 = .;
   IF (V5207 >= -5 AND V5207 <= -1) THEN V5207 = .;
   IF (V5208 >= -5 AND V5208 <= -1) THEN V5208 = .;
   IF (V5209 >= -5 AND V5209 <= -1) THEN V5209 = .;
   IF (V5210 >= -5 AND V5210 <= -1) THEN V5210 = .;
   IF (V5211 >= -5 AND V5211 <= -1) THEN V5211 = .;
   IF (V5212 >= -5 AND V5212 <= -1) THEN V5212 = .;
   IF (V5213 >= -5 AND V5213 <= -1) THEN V5213 = .;
   IF (V5214 >= -5 AND V5214 <= -1) THEN V5214 = .;
   IF (V5215 >= -5 AND V5215 <= -1) THEN V5215 = .;
   IF (V5216 >= -5 AND V5216 <= -1) THEN V5216 = .;
   IF (V5217 >= -5 AND V5217 <= -1) THEN V5217 = .;
   IF (V5218 >= -5 AND V5218 <= -1) THEN V5218 = .;
   IF (V5219 >= -5 AND V5219 <= -1) THEN V5219 = .;
   IF (V5220 >= -5 AND V5220 <= -1) THEN V5220 = .;
   IF (V5221 >= -5 AND V5221 <= -1) THEN V5221 = .;
   IF (V5222 >= -5 AND V5222 <= -1) THEN V5222 = .;
   IF (V5223 >= -5 AND V5223 <= -1) THEN V5223 = .;
   IF (V5224 >= -5 AND V5224 <= -1) THEN V5224 = .;
   IF (V5225 >= -5 AND V5225 <= -1) THEN V5225 = .;
   IF (V5226 >= -5 AND V5226 <= -1) THEN V5226 = .;
   IF (V5227 >= -5 AND V5227 <= -1) THEN V5227 = .;
   IF (V5228 >= -5 AND V5228 <= -1) THEN V5228 = .;
   IF (V5229 >= -5 AND V5229 <= -1) THEN V5229 = .;
   IF (V5230 >= -5 AND V5230 <= -1) THEN V5230 = .;
   IF (V5231 >= -5 AND V5231 <= -1) THEN V5231 = .;
   IF (V5232 >= -5 AND V5232 <= -1) THEN V5232 = .;
   IF (V5233 >= -5 AND V5233 <= -1) THEN V5233 = .;
   IF (V5234 >= -5 AND V5234 <= -1) THEN V5234 = .;
   IF (V5235 >= -5 AND V5235 <= -1) THEN V5235 = .;
   IF (V5236 >= -5 AND V5236 <= -1) THEN V5236 = .;
   IF (V5237 >= -5 AND V5237 <= -1) THEN V5237 = .;
   IF (V5238 >= -5 AND V5238 <= -1) THEN V5238 = .;
   IF (V5239 >= -5 AND V5239 <= -1) THEN V5239 = .;
   IF (V5240 >= -5 AND V5240 <= -1) THEN V5240 = .;
   IF (V5241 >= -5 AND V5241 <= -1) THEN V5241 = .;
   IF (V5242 >= -5 AND V5242 <= -1) THEN V5242 = .;
   IF (V5243 >= -5 AND V5243 <= -1) THEN V5243 = .;
   IF (V5244 >= -5 AND V5244 <= -1) THEN V5244 = .;
   IF (V5245 >= -5 AND V5245 <= -1) THEN V5245 = .;
   IF (V5246 >= -5 AND V5246 <= -1) THEN V5246 = .;
   IF (V5247 >= -5 AND V5247 <= -1) THEN V5247 = .;
   IF (V5248 >= -5 AND V5248 <= -1) THEN V5248 = .;
   IF (V5249 >= -5 AND V5249 <= -1) THEN V5249 = .;
   IF (V5250 >= -5 AND V5250 <= -1) THEN V5250 = .;
   IF (V5251 >= -5 AND V5251 <= -1) THEN V5251 = .;
   IF (V5252 >= -5 AND V5252 <= -1) THEN V5252 = .;
   IF (V5253 >= -5 AND V5253 <= -1) THEN V5253 = .;
   IF (V5254 >= -5 AND V5254 <= -1) THEN V5254 = .;
   IF (V5255 >= -5 AND V5255 <= -1) THEN V5255 = .;
   IF (V5256 >= -5 AND V5256 <= -1) THEN V5256 = .;
   IF (V5257 >= -5 AND V5257 <= -1) THEN V5257 = .;
   IF (V5258 >= -5 AND V5258 <= -1) THEN V5258 = .;
   IF (V5259 >= -5 AND V5259 <= -1) THEN V5259 = .;
   IF (V5260 >= -5 AND V5260 <= -1) THEN V5260 = .;
   IF (V5261 >= -5 AND V5261 <= -1) THEN V5261 = .;
   IF (V5262 >= -5 AND V5262 <= -1) THEN V5262 = .;
   IF (V5263 >= -5 AND V5263 <= -1) THEN V5263 = .;
   IF (V5264 >= -5 AND V5264 <= -1) THEN V5264 = .;
   IF (V5265 >= -5 AND V5265 <= -1) THEN V5265 = .;
   IF (V5266 >= -5 AND V5266 <= -1) THEN V5266 = .;
   IF (V5267 >= -5 AND V5267 <= -1) THEN V5267 = .;
   IF (V5268 >= -5 AND V5268 <= -1) THEN V5268 = .;
   IF (V5269 >= -5 AND V5269 <= -1) THEN V5269 = .;
   IF (V5270 >= -5 AND V5270 <= -1) THEN V5270 = .;
   IF (V5271 >= -5 AND V5271 <= -1) THEN V5271 = .;
   IF (V5272 >= -5 AND V5272 <= -1) THEN V5272 = .;
   IF (V5273 >= -5 AND V5273 <= -1) THEN V5273 = .;
   IF (V5274 >= -5 AND V5274 <= -1) THEN V5274 = .;
   IF (V5275 >= -5 AND V5275 <= -1) THEN V5275 = .;
   IF (V5276 >= -5 AND V5276 <= -1) THEN V5276 = .;
   IF (V5277 >= -5 AND V5277 <= -1) THEN V5277 = .;
   IF (V5278 >= -5 AND V5278 <= -1) THEN V5278 = .;
   IF (V5279 >= -5 AND V5279 <= -1) THEN V5279 = .;
   IF (V5280 >= -5 AND V5280 <= -1) THEN V5280 = .;
   IF (V5281 >= -5 AND V5281 <= -1) THEN V5281 = .;
   IF (V5282 >= -5 AND V5282 <= -1) THEN V5282 = .;
   IF (V5283 >= -5 AND V5283 <= -1) THEN V5283 = .;
   IF (V5284 >= -5 AND V5284 <= -1) THEN V5284 = .;
   IF (V5285 >= -5 AND V5285 <= -1) THEN V5285 = .;
   IF (V5286 >= -5 AND V5286 <= -1) THEN V5286 = .;
   IF (V5287 >= -5 AND V5287 <= -1) THEN V5287 = .;
   IF (V5288 >= -5 AND V5288 <= -1) THEN V5288 = .;
   IF (V5289 >= -5 AND V5289 <= -1) THEN V5289 = .;
   IF (V5290 >= -5 AND V5290 <= -1) THEN V5290 = .;
   IF (V5291 >= -5 AND V5291 <= -1) THEN V5291 = .;
   IF (V5292 >= -5 AND V5292 <= -1) THEN V5292 = .;
   IF (V5293 >= -5 AND V5293 <= -1) THEN V5293 = .;
   IF (V5294 >= -5 AND V5294 <= -1) THEN V5294 = .;
   IF (V5295 >= -5 AND V5295 <= -1) THEN V5295 = .;
   IF (V5296 >= -5 AND V5296 <= -1) THEN V5296 = .;
   IF (V5297 >= -5 AND V5297 <= -1) THEN V5297 = .;
   IF (V5298 >= -5 AND V5298 <= -1) THEN V5298 = .;
   IF (V5299 >= -5 AND V5299 <= -1) THEN V5299 = .;
   IF (V5300 >= -5 AND V5300 <= -1) THEN V5300 = .;
   IF (V5301 >= -5 AND V5301 <= -1) THEN V5301 = .;
   IF (V5302 >= -5 AND V5302 <= -1) THEN V5302 = .;
   IF (V5303 >= -5 AND V5303 <= -1) THEN V5303 = .;
   IF (V5304 >= -5 AND V5304 <= -1) THEN V5304 = .;
   IF (V5305 >= -5 AND V5305 <= -1) THEN V5305 = .;
   IF (V5306 >= -5 AND V5306 <= -1) THEN V5306 = .;
   IF (V5307 >= -5 AND V5307 <= -1) THEN V5307 = .;
   IF (V5308 >= -5 AND V5308 <= -1) THEN V5308 = .;
   IF (V5309 >= -5 AND V5309 <= -1) THEN V5309 = .;
   IF (V5310 >= -5 AND V5310 <= -1) THEN V5310 = .;
   IF (V5311 >= -5 AND V5311 <= -1) THEN V5311 = .;
   IF (V5312 >= -5 AND V5312 <= -1) THEN V5312 = .;
   IF (V5313 >= -5 AND V5313 <= -1) THEN V5313 = .;
   IF (V5314 >= -5 AND V5314 <= -1) THEN V5314 = .;
   IF (V5315 >= -5 AND V5315 <= -1) THEN V5315 = .;
   IF (V5316 >= -5 AND V5316 <= -1) THEN V5316 = .;
   IF (V5317 >= -5 AND V5317 <= -1) THEN V5317 = .;
   IF (V5318 >= -5 AND V5318 <= -1) THEN V5318 = .;
   IF (V5319 >= -5 AND V5319 <= -1) THEN V5319 = .;
   IF (V5320 >= -5 AND V5320 <= -1) THEN V5320 = .;
   IF (V5321 >= -5 AND V5321 <= -1) THEN V5321 = .;
   IF (V5322 >= -5 AND V5322 <= -1) THEN V5322 = .;
   IF (V5323 >= -5 AND V5323 <= -1) THEN V5323 = .;
   IF (V5324 >= -5 AND V5324 <= -1) THEN V5324 = .;
   IF (V5325 >= -5 AND V5325 <= -1) THEN V5325 = .;
   IF (V5326 >= -5 AND V5326 <= -1) THEN V5326 = .;
   IF (V5327 >= -5 AND V5327 <= -1) THEN V5327 = .;
   IF (V5328 >= -5 AND V5328 <= -1) THEN V5328 = .;
   IF (V5329 >= -5 AND V5329 <= -1) THEN V5329 = .;
   IF (V5330 >= -5 AND V5330 <= -1) THEN V5330 = .;
   IF (V5331 >= -5 AND V5331 <= -1) THEN V5331 = .;
   IF (V5332 >= -5 AND V5332 <= -1) THEN V5332 = .;
   IF (V5333 >= -5 AND V5333 <= -1) THEN V5333 = .;
   IF (V5334 >= -5 AND V5334 <= -1) THEN V5334 = .;
   IF (V5335 >= -5 AND V5335 <= -1) THEN V5335 = .;
   IF (V5336 >= -5 AND V5336 <= -1) THEN V5336 = .;
   IF (V5337 >= -5 AND V5337 <= -1) THEN V5337 = .;
   IF (V5338 >= -5 AND V5338 <= -1) THEN V5338 = .;
   IF (V5339 >= -5 AND V5339 <= -1) THEN V5339 = .;
   IF (V5340 >= -5 AND V5340 <= -1) THEN V5340 = .;
   IF (V5341 >= -5 AND V5341 <= -1) THEN V5341 = .;
   IF (V5342 >= -5 AND V5342 <= -1) THEN V5342 = .;
   IF (V5343 >= -5 AND V5343 <= -1) THEN V5343 = .;
   IF (V5344 >= -5 AND V5344 <= -1) THEN V5344 = .;
   IF (V5345 >= -5 AND V5345 <= -1) THEN V5345 = .;
   IF (V5346 >= -5 AND V5346 <= -1) THEN V5346 = .;
   IF (V5347 >= -5 AND V5347 <= -1) THEN V5347 = .;
   IF (V5348 >= -5 AND V5348 <= -1) THEN V5348 = .;
   IF (V5349 >= -5 AND V5349 <= -1) THEN V5349 = .;
   IF (V5350 >= -5 AND V5350 <= -1) THEN V5350 = .;
   IF (V5351 >= -5 AND V5351 <= -1) THEN V5351 = .;
   IF (V5352 >= -5 AND V5352 <= -1) THEN V5352 = .;
   IF (V5353 >= -5 AND V5353 <= -1) THEN V5353 = .;
   IF (V5354 >= -5 AND V5354 <= -1) THEN V5354 = .;
   IF (V5355 >= -5 AND V5355 <= -1) THEN V5355 = .;
   IF (V5356 >= -5 AND V5356 <= -1) THEN V5356 = .;
   IF (V5357 >= -5 AND V5357 <= -1) THEN V5357 = .;
   IF (V5358 >= -5 AND V5358 <= -1) THEN V5358 = .;
   IF (V5359 >= -5 AND V5359 <= -1) THEN V5359 = .;
   IF (V5360 >= -5 AND V5360 <= -1) THEN V5360 = .;
   IF (V5361 >= -5 AND V5361 <= -1) THEN V5361 = .;
   IF (V5362 >= -5 AND V5362 <= -1) THEN V5362 = .;
   IF (V5363 >= -5 AND V5363 <= -1) THEN V5363 = .;
   IF (V5364 >= -5 AND V5364 <= -1) THEN V5364 = .;
   IF (V5365 >= -5 AND V5365 <= -1) THEN V5365 = .;
   IF (V5366 >= -5 AND V5366 <= -1) THEN V5366 = .;
   IF (V5367 >= -5 AND V5367 <= -1) THEN V5367 = .;
   IF (V5368 >= -5 AND V5368 <= -1) THEN V5368 = .;
   IF (V5369 >= -5 AND V5369 <= -1) THEN V5369 = .;
   IF (V5370 >= -5 AND V5370 <= -1) THEN V5370 = .;
   IF (V5371 >= -5 AND V5371 <= -1) THEN V5371 = .;
   IF (V5372 >= -5 AND V5372 <= -1) THEN V5372 = .;
   IF (V5373 >= -5 AND V5373 <= -1) THEN V5373 = .;
   IF (V5374 >= -5 AND V5374 <= -1) THEN V5374 = .;
   IF (V5375 >= -5 AND V5375 <= -1) THEN V5375 = .;
   IF (V5376 >= -5 AND V5376 <= -1) THEN V5376 = .;
   IF (V5377 >= -5 AND V5377 <= -1) THEN V5377 = .;
   IF (V5378 >= -5 AND V5378 <= -1) THEN V5378 = .;
   IF (V5379 >= -5 AND V5379 <= -1) THEN V5379 = .;
   IF (V5380 >= -5 AND V5380 <= -1) THEN V5380 = .;
   IF (V5381 >= -5 AND V5381 <= -1) THEN V5381 = .;
   IF (V5382 >= -5 AND V5382 <= -1) THEN V5382 = .;
   IF (V5383 >= -5 AND V5383 <= -1) THEN V5383 = .;
   IF (V5384 >= -5 AND V5384 <= -1) THEN V5384 = .;
   IF (V5385 >= -5 AND V5385 <= -1) THEN V5385 = .;
   IF (V5386 >= -5 AND V5386 <= -1) THEN V5386 = .;
   IF (V5387 >= -5 AND V5387 <= -1) THEN V5387 = .;
   IF (V5388 >= -5 AND V5388 <= -1) THEN V5388 = .;
   IF (V5389 >= -5 AND V5389 <= -1) THEN V5389 = .;
   IF (V5390 >= -5 AND V5390 <= -1) THEN V5390 = .;
   IF (V5391 >= -5 AND V5391 <= -1) THEN V5391 = .;
   IF (V5392 >= -5 AND V5392 <= -1) THEN V5392 = .;
   IF (V5393 >= -5 AND V5393 <= -1) THEN V5393 = .;
   IF (V5394 >= -5 AND V5394 <= -1) THEN V5394 = .;
   IF (V5395 >= -5 AND V5395 <= -1) THEN V5395 = .;
   IF (V5396 >= -5 AND V5396 <= -1) THEN V5396 = .;
   IF (V5397 >= -5 AND V5397 <= -1) THEN V5397 = .;
   IF (V5398 >= -5 AND V5398 <= -1) THEN V5398 = .;
   IF (V5399 >= -5 AND V5399 <= -1) THEN V5399 = .;
   IF (V5400 >= -5 AND V5400 <= -1) THEN V5400 = .;
   IF (V5401 >= -5 AND V5401 <= -1) THEN V5401 = .;
   IF (V5402 >= -5 AND V5402 <= -1) THEN V5402 = .;
   IF (V5403 >= -5 AND V5403 <= -1) THEN V5403 = .;
   IF (V5404 >= -5 AND V5404 <= -1) THEN V5404 = .;
   IF (V5405 >= -5 AND V5405 <= -1) THEN V5405 = .;
   IF (V5406 >= -5 AND V5406 <= -1) THEN V5406 = .;
   IF (V5407 >= -5 AND V5407 <= -1) THEN V5407 = .;
   IF (V5408 >= -5 AND V5408 <= -1) THEN V5408 = .;
   IF (V5409 >= -5 AND V5409 <= -1) THEN V5409 = .;
   IF (V5410 >= -5 AND V5410 <= -1) THEN V5410 = .;
   IF (V5411 >= -5 AND V5411 <= -1) THEN V5411 = .;
   IF (V5412 >= -5 AND V5412 <= -1) THEN V5412 = .;
   IF (V5413 >= -5 AND V5413 <= -1) THEN V5413 = .;
   IF (V5414 >= -5 AND V5414 <= -1) THEN V5414 = .;
   IF (V5415 >= -5 AND V5415 <= -1) THEN V5415 = .;
   IF (V5416 >= -5 AND V5416 <= -1) THEN V5416 = .;
   IF (V5417 >= -5 AND V5417 <= -1) THEN V5417 = .;
   IF (V5418 >= -5 AND V5418 <= -1) THEN V5418 = .;
   IF (V5419 >= -5 AND V5419 <= -1) THEN V5419 = .;
   IF (V5420 >= -5 AND V5420 <= -1) THEN V5420 = .;
   IF (V5421 >= -5 AND V5421 <= -1) THEN V5421 = .;
   IF (V5422 >= -5 AND V5422 <= -1) THEN V5422 = .;
   IF (V5423 >= -5 AND V5423 <= -1) THEN V5423 = .;
   IF (V5424 >= -5 AND V5424 <= -1) THEN V5424 = .;
   IF (V5425 >= -5 AND V5425 <= -1) THEN V5425 = .;
   IF (V5426 >= -5 AND V5426 <= -1) THEN V5426 = .;
   IF (V5427 >= -5 AND V5427 <= -1) THEN V5427 = .;
   IF (V5428 >= -5 AND V5428 <= -1) THEN V5428 = .;
   IF (V5429 >= -5 AND V5429 <= -1) THEN V5429 = .;
   IF (V5430 >= -5 AND V5430 <= -1) THEN V5430 = .;
   IF (V5431 >= -5 AND V5431 <= -1) THEN V5431 = .;
   IF (V5432 >= -5 AND V5432 <= -1) THEN V5432 = .;
   IF (V5433 >= -5 AND V5433 <= -1) THEN V5433 = .;
   IF (V5434 >= -5 AND V5434 <= -1) THEN V5434 = .;
   IF (V5435 >= -5 AND V5435 <= -1) THEN V5435 = .;
   IF (V5436 >= -5 AND V5436 <= -1) THEN V5436 = .;
   IF (V5437 >= -5 AND V5437 <= -1) THEN V5437 = .;
   IF (V5438 >= -5 AND V5438 <= -1) THEN V5438 = .;
   IF (V5439 >= -5 AND V5439 <= -1) THEN V5439 = .;
   IF (V5440 >= -5 AND V5440 <= -1) THEN V5440 = .;
   IF (V5441 >= -5 AND V5441 <= -1) THEN V5441 = .;
   IF (V5442 >= -5 AND V5442 <= -1) THEN V5442 = .;
   IF (V5443 >= -5 AND V5443 <= -1) THEN V5443 = .;
   IF (V5444 >= -5 AND V5444 <= -1) THEN V5444 = .;
   IF (V5445 >= -5 AND V5445 <= -1) THEN V5445 = .;
   IF (V5446 >= -5 AND V5446 <= -1) THEN V5446 = .;
   IF (V5447 >= -5 AND V5447 <= -1) THEN V5447 = .;
   IF (V5448 >= -5 AND V5448 <= -1) THEN V5448 = .;
   IF (V5449 >= -5 AND V5449 <= -1) THEN V5449 = .;
   IF (V5450 >= -5 AND V5450 <= -1) THEN V5450 = .;
   IF (V5451 >= -5 AND V5451 <= -1) THEN V5451 = .;
   IF (V5452 >= -5 AND V5452 <= -1) THEN V5452 = .;
   IF (V5453 >= -5 AND V5453 <= -1) THEN V5453 = .;
   IF (V5454 >= -5 AND V5454 <= -1) THEN V5454 = .;
   IF (V5455 >= -5 AND V5455 <= -1) THEN V5455 = .;
   IF (V5456 >= -5 AND V5456 <= -1) THEN V5456 = .;
   IF (V5457 >= -5 AND V5457 <= -1) THEN V5457 = .;
   IF (V5458 >= -5 AND V5458 <= -1) THEN V5458 = .;
   IF (V5459 >= -5 AND V5459 <= -1) THEN V5459 = .;
   IF (V5460 >= -5 AND V5460 <= -1) THEN V5460 = .;
   IF (V5461 >= -5 AND V5461 <= -1) THEN V5461 = .;
   IF (V5462 >= -5 AND V5462 <= -1) THEN V5462 = .;
   IF (V5463 >= -5 AND V5463 <= -1) THEN V5463 = .;
   IF (V5464 >= -5 AND V5464 <= -1) THEN V5464 = .;
   IF (V5465 >= -5 AND V5465 <= -1) THEN V5465 = .;
   IF (V5466 >= -5 AND V5466 <= -1) THEN V5466 = .;
   IF (V5467 >= -5 AND V5467 <= -1) THEN V5467 = .;
   IF (V5468 >= -5 AND V5468 <= -1) THEN V5468 = .;
   IF (V5469 >= -5 AND V5469 <= -1) THEN V5469 = .;
   IF (V5470 >= -5 AND V5470 <= -1) THEN V5470 = .;
   IF (V5471 >= -5 AND V5471 <= -1) THEN V5471 = .;
   IF (V5472 >= -5 AND V5472 <= -1) THEN V5472 = .;
   IF (V5473 >= -5 AND V5473 <= -1) THEN V5473 = .;
   IF (V5474 >= -5 AND V5474 <= -1) THEN V5474 = .;
   IF (V5475 >= -5 AND V5475 <= -1) THEN V5475 = .;
   IF (V5476 >= -5 AND V5476 <= -1) THEN V5476 = .;
   IF (V5477 >= -5 AND V5477 <= -1) THEN V5477 = .;
   IF (V5478 >= -5 AND V5478 <= -1) THEN V5478 = .;
   IF (V5479 >= -5 AND V5479 <= -1) THEN V5479 = .;
   IF (V5480 >= -5 AND V5480 <= -1) THEN V5480 = .;
   IF (V5481 >= -5 AND V5481 <= -1) THEN V5481 = .;
   IF (V5482 >= -5 AND V5482 <= -1) THEN V5482 = .;
   IF (V5483 >= -5 AND V5483 <= -1) THEN V5483 = .;
   IF (V5484 >= -5 AND V5484 <= -1) THEN V5484 = .;
   IF (V5485 >= -5 AND V5485 <= -1) THEN V5485 = .;
   IF (V5486 >= -5 AND V5486 <= -1) THEN V5486 = .;
   IF (V5487 >= -5 AND V5487 <= -1) THEN V5487 = .;
   IF (V5488 >= -5 AND V5488 <= -1) THEN V5488 = .;
   IF (V5489 >= -5 AND V5489 <= -1) THEN V5489 = .;
   IF (V5490 >= -5 AND V5490 <= -1) THEN V5490 = .;
   IF (V5491 >= -5 AND V5491 <= -1) THEN V5491 = .;
   IF (V5492 >= -5 AND V5492 <= -1) THEN V5492 = .;
   IF (V5493 >= -5 AND V5493 <= -1) THEN V5493 = .;
   IF (V5494 >= -5 AND V5494 <= -1) THEN V5494 = .;
   IF (V5495 >= -5 AND V5495 <= -1) THEN V5495 = .;
   IF (V5496 >= -5 AND V5496 <= -1) THEN V5496 = .;
   IF (V5497 >= -5 AND V5497 <= -1) THEN V5497 = .;
   IF (V5498 >= -5 AND V5498 <= -1) THEN V5498 = .;
   IF (V5499 >= -5 AND V5499 <= -1) THEN V5499 = .;
   IF (V5500 >= -5 AND V5500 <= -1) THEN V5500 = .;
   IF (V5501 >= -5 AND V5501 <= -1) THEN V5501 = .;
   IF (V5502 >= -5 AND V5502 <= -1) THEN V5502 = .;
   IF (V5503 >= -5 AND V5503 <= -1) THEN V5503 = .;
   IF (V5504 >= -5 AND V5504 <= -1) THEN V5504 = .;
   IF (V5505 >= -5 AND V5505 <= -1) THEN V5505 = .;
   IF (V5506 >= -5 AND V5506 <= -1) THEN V5506 = .;
   IF (V5507 >= -5 AND V5507 <= -1) THEN V5507 = .;
   IF (V5508 >= -5 AND V5508 <= -1) THEN V5508 = .;
   IF (V5509 >= -5 AND V5509 <= -1) THEN V5509 = .;
   IF (V5510 >= -5 AND V5510 <= -1) THEN V5510 = .;
   IF (V5511 >= -5 AND V5511 <= -1) THEN V5511 = .;
   IF (V5512 >= -5 AND V5512 <= -1) THEN V5512 = .;
   IF (V5513 >= -5 AND V5513 <= -1) THEN V5513 = .;
   IF (V5514 >= -5 AND V5514 <= -1) THEN V5514 = .;
   IF (V5515 >= -5 AND V5515 <= -1) THEN V5515 = .;
   IF (V5516 >= -5 AND V5516 <= -1) THEN V5516 = .;
   IF (V5517 >= -5 AND V5517 <= -1) THEN V5517 = .;
   IF (V5518 >= -5 AND V5518 <= -1) THEN V5518 = .;
   IF (V5519 >= -5 AND V5519 <= -1) THEN V5519 = .;
   IF (V5520 >= -5 AND V5520 <= -1) THEN V5520 = .;
   IF (V5521 >= -5 AND V5521 <= -1) THEN V5521 = .;
   IF (V5522 >= -5 AND V5522 <= -1) THEN V5522 = .;
   IF (V5523 >= -5 AND V5523 <= -1) THEN V5523 = .;
   IF (V5524 >= -5 AND V5524 <= -1) THEN V5524 = .;
   IF (V5525 >= -5 AND V5525 <= -1) THEN V5525 = .;
   IF (V5526 >= -5 AND V5526 <= -1) THEN V5526 = .;
   IF (V5527 >= -5 AND V5527 <= -1) THEN V5527 = .;
   IF (V5528 >= -5 AND V5528 <= -1) THEN V5528 = .;
   IF (V5529 >= -5 AND V5529 <= -1) THEN V5529 = .;
   IF (V5530 >= -5 AND V5530 <= -1) THEN V5530 = .;
   IF (V5531 >= -5 AND V5531 <= -1) THEN V5531 = .;
   IF (V5532 >= -5 AND V5532 <= -1) THEN V5532 = .;
   IF (V5533 >= -5 AND V5533 <= -1) THEN V5533 = .;
   IF (V5534 >= -5 AND V5534 <= -1) THEN V5534 = .;
   IF (V5535 >= -5 AND V5535 <= -1) THEN V5535 = .;
   IF (V5536 >= -5 AND V5536 <= -1) THEN V5536 = .;
   IF (V5537 >= -5 AND V5537 <= -1) THEN V5537 = .;
   IF (V5538 >= -5 AND V5538 <= -1) THEN V5538 = .;
   IF (V5539 >= -5 AND V5539 <= -1) THEN V5539 = .;
   IF (V5540 >= -5 AND V5540 <= -1) THEN V5540 = .;
   IF (V5541 >= -5 AND V5541 <= -1) THEN V5541 = .;
   IF (V5542 >= -5 AND V5542 <= -1) THEN V5542 = .;
   IF (V5543 >= -5 AND V5543 <= -1) THEN V5543 = .;
   IF (V5544 >= -5 AND V5544 <= -1) THEN V5544 = .;
   IF (V5545 >= -5 AND V5545 <= -1) THEN V5545 = .;
   IF (V5546 >= -5 AND V5546 <= -1) THEN V5546 = .;
   IF (V5547 >= -5 AND V5547 <= -1) THEN V5547 = .;
   IF (V5548 >= -5 AND V5548 <= -1) THEN V5548 = .;
   IF (V5549 >= -5 AND V5549 <= -1) THEN V5549 = .;
   IF (V5550 >= -5 AND V5550 <= -1) THEN V5550 = .;
   IF (V5551 >= -5 AND V5551 <= -1) THEN V5551 = .;
   IF (V5552 >= -5 AND V5552 <= -1) THEN V5552 = .;
   IF (V5553 >= -5 AND V5553 <= -1) THEN V5553 = .;
   IF (V5554 >= -5 AND V5554 <= -1) THEN V5554 = .;
   IF (V5555 >= -5 AND V5555 <= -1) THEN V5555 = .;
   IF (V5556 >= -5 AND V5556 <= -1) THEN V5556 = .;
   IF (V5557 >= -5 AND V5557 <= -1) THEN V5557 = .;
   IF (V5558 >= -5 AND V5558 <= -1) THEN V5558 = .;
   IF (V5559 >= -5 AND V5559 <= -1) THEN V5559 = .;
   IF (V5560 >= -5 AND V5560 <= -1) THEN V5560 = .;
   IF (V5561 >= -5 AND V5561 <= -1) THEN V5561 = .;
   IF (V5562 >= -5 AND V5562 <= -1) THEN V5562 = .;
   IF (V5563 >= -5 AND V5563 <= -1) THEN V5563 = .;
   IF (V5564 >= -5 AND V5564 <= -1) THEN V5564 = .;
   IF (V5565 >= -5 AND V5565 <= -1) THEN V5565 = .;
   IF (V5566 >= -5 AND V5566 <= -1) THEN V5566 = .;
   IF (V5567 >= -5 AND V5567 <= -1) THEN V5567 = .;
   IF (V5568 >= -5 AND V5568 <= -1) THEN V5568 = .;
   IF (V5569 >= -5 AND V5569 <= -1) THEN V5569 = .;
   IF (V5570 >= -5 AND V5570 <= -1) THEN V5570 = .;
   IF (V5571 >= -5 AND V5571 <= -1) THEN V5571 = .;
   IF (V5572 >= -5 AND V5572 <= -1) THEN V5572 = .;
   IF (V5573 >= -5 AND V5573 <= -1) THEN V5573 = .;
   IF (V5574 >= -5 AND V5574 <= -1) THEN V5574 = .;
   IF (V5575 >= -5 AND V5575 <= -1) THEN V5575 = .;
   IF (V5576 >= -5 AND V5576 <= -1) THEN V5576 = .;
   IF (V5577 >= -5 AND V5577 <= -1) THEN V5577 = .;
   IF (V5578 >= -5 AND V5578 <= -1) THEN V5578 = .;
   IF (V5579 >= -5 AND V5579 <= -1) THEN V5579 = .;
   IF (V5580 >= -5 AND V5580 <= -1) THEN V5580 = .;
   IF (V5581 >= -5 AND V5581 <= -1) THEN V5581 = .;
   IF (V5582 >= -5 AND V5582 <= -1) THEN V5582 = .;
   IF (V5583 >= -5 AND V5583 <= -1) THEN V5583 = .;
   IF (V5584 >= -5 AND V5584 <= -1) THEN V5584 = .;
   IF (V5585 >= -5 AND V5585 <= -1) THEN V5585 = .;
   IF (V5586 >= -5 AND V5586 <= -1) THEN V5586 = .;
   IF (V5587 >= -5 AND V5587 <= -1) THEN V5587 = .;
   IF (V5588 >= -5 AND V5588 <= -1) THEN V5588 = .;
   IF (V5589 >= -5 AND V5589 <= -1) THEN V5589 = .;
   IF (V5590 >= -5 AND V5590 <= -1) THEN V5590 = .;
   IF (V5591 >= -5 AND V5591 <= -1) THEN V5591 = .;
   IF (V5592 >= -5 AND V5592 <= -1) THEN V5592 = .;
   IF (V5593 >= -5 AND V5593 <= -1) THEN V5593 = .;
   IF (V5594 >= -5 AND V5594 <= -1) THEN V5594 = .;
   IF (V5595 >= -5 AND V5595 <= -1) THEN V5595 = .;
   IF (V5596 >= -5 AND V5596 <= -1) THEN V5596 = .;
   IF (V5597 >= -5 AND V5597 <= -1) THEN V5597 = .;
   IF (V5598 >= -5 AND V5598 <= -1) THEN V5598 = .;
   IF (V5599 >= -5 AND V5599 <= -1) THEN V5599 = .;
   IF (V5600 >= -5 AND V5600 <= -1) THEN V5600 = .;
   IF (V5601 >= -5 AND V5601 <= -1) THEN V5601 = .;
   IF (V5602 >= -5 AND V5602 <= -1) THEN V5602 = .;
   IF (V5603 >= -5 AND V5603 <= -1) THEN V5603 = .;
   IF (V5604 >= -5 AND V5604 <= -1) THEN V5604 = .;
   IF (V5605 >= -5 AND V5605 <= -1) THEN V5605 = .;
   IF (V5606 >= -5 AND V5606 <= -1) THEN V5606 = .;
   IF (V5607 >= -5 AND V5607 <= -1) THEN V5607 = .;
   IF (V5608 >= -5 AND V5608 <= -1) THEN V5608 = .;
   IF (V5609 >= -5 AND V5609 <= -1) THEN V5609 = .;
   IF (V5610 >= -5 AND V5610 <= -1) THEN V5610 = .;
   IF (V5611 >= -5 AND V5611 <= -1) THEN V5611 = .;
   IF (V5612 >= -5 AND V5612 <= -1) THEN V5612 = .;
   IF (V5613 >= -5 AND V5613 <= -1) THEN V5613 = .;
   IF (V5614 >= -5 AND V5614 <= -1) THEN V5614 = .;
   IF (V5615 >= -5 AND V5615 <= -1) THEN V5615 = .;
   IF (V5616 >= -5 AND V5616 <= -1) THEN V5616 = .;
   IF (V5617 >= -5 AND V5617 <= -1) THEN V5617 = .;
   IF (V5618 >= -5 AND V5618 <= -1) THEN V5618 = .;
   IF (V5619 >= -5 AND V5619 <= -1) THEN V5619 = .;
   IF (V5620 >= -5 AND V5620 <= -1) THEN V5620 = .;
   IF (V5621 >= -5 AND V5621 <= -1) THEN V5621 = .;
   IF (V5622 >= -5 AND V5622 <= -1) THEN V5622 = .;
   IF (V5623 >= -5 AND V5623 <= -1) THEN V5623 = .;
   IF (V5624 >= -5 AND V5624 <= -1) THEN V5624 = .;
   IF (V5625 >= -5 AND V5625 <= -1) THEN V5625 = .;
   IF (V5626 >= -5 AND V5626 <= -1) THEN V5626 = .;
   IF (V5627 >= -5 AND V5627 <= -1) THEN V5627 = .;
   IF (V5628 >= -5 AND V5628 <= -1) THEN V5628 = .;
   IF (V5629 >= -5 AND V5629 <= -1) THEN V5629 = .;
   IF (V5630 >= -5 AND V5630 <= -1) THEN V5630 = .;
   IF (V5631 >= -5 AND V5631 <= -1) THEN V5631 = .;
   IF (V5632 >= -5 AND V5632 <= -1) THEN V5632 = .;
   IF (V5665 >= -5 AND V5665 <= -1) THEN V5665 = .;
   IF (V5666 >= -5 AND V5666 <= -1) THEN V5666 = .;
   IF (V5667 >= -5 AND V5667 <= -1) THEN V5667 = .;
   IF (V5668 >= -5 AND V5668 <= -1) THEN V5668 = .;
   IF (V5669 >= -5 AND V5669 <= -1) THEN V5669 = .;
   IF (V5670 >= -5 AND V5670 <= -1) THEN V5670 = .;
   IF (V5671 >= -5 AND V5671 <= -1) THEN V5671 = .;
   IF (V5672 >= -5 AND V5672 <= -1) THEN V5672 = .;
   IF (V5673 >= -5 AND V5673 <= -1) THEN V5673 = .;
   IF (V5674 >= -5 AND V5674 <= -1) THEN V5674 = .;
   IF (V5675 >= -5 AND V5675 <= -1) THEN V5675 = .;
   IF (V5676 >= -5 AND V5676 <= -1) THEN V5676 = .;
   IF (V5677 >= -5 AND V5677 <= -1) THEN V5677 = .;
   IF (V5678 >= -5 AND V5678 <= -1) THEN V5678 = .;
   IF (V5679 >= -5 AND V5679 <= -1) THEN V5679 = .;
   IF (V5680 >= -5 AND V5680 <= -1) THEN V5680 = .;
   IF (V5681 >= -5 AND V5681 <= -1) THEN V5681 = .;
   IF (V5682 >= -5 AND V5682 <= -1) THEN V5682 = .;
*/

RUN ;
